# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           maven3
Version:        3.0.3
Release:        8%{?dist}
Summary:        Java project management and project comprehension tool
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Group:          Development/Tools
License:        ASL 2.0 and MIT and BSD
URL:            http://maven.apache.org/
Source0:        http://www.apache.org/dyn/closer.cgi/maven/source/apache-maven-%{version}-src.tar.gz
Source1:        apache-maven3-offline-settings.xml

Source90:       maven3-plugin-plugin-metadata.xml
# http://central.maven.org/maven2/org/apache/maven/plugins/maven-plugin-plugin/maven-metadata.xml

Source91:       http://repo1.maven.org/maven2/oro/oro/2.0.8/oro-2.0.8.pom
Source92:       http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-plugins/18/maven-plugins-18.pom
Source93:       http://repo1.maven.org/maven2/classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.pom
Source94:       http://repo1.maven.org/maven2/org/codehaus/plexus/plexus-tools/1.0.10/plexus-tools-1.0.10.pom
Source95:       http://repo1.maven.org/maven2/xml-apis/xml-apis/1.3.04/xml-apis-1.3.04.pom
Source96:       http://repo1.maven.org/maven2/xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.pom
Source97:       http://repo1.maven.org/maven2/org/codehaus/plexus/plexus-components/1.1.18/plexus-components-1.1.18.pom
Source98:       http://repo1.maven.org/maven2/org/codehaus/plexus/plexus/2.0.6/plexus-2.0.6.pom
Source99:       apache-3.pom

## custom resolver java files
## source: git clone git://fedorapeople.org/~sochotni/maven-javadir-resolver/
Source100:      JavadirWorkspaceReader.java
Source101:      MavenJPackageDepmap.java

## empty files for resolving to nothing
Source104:    %{name}-empty-dep.pom
Source105:    %{name}-empty-dep.jar

# 2xx for created non-buildable sources
Source200:    %{name}-script
Source201:    %{name}-script-local
Source202:    %{name}-script-rpmbuild

## Other included files
Source250:    repo-metadata.tar.gz

Patch96:      maven3-embedder-pom.patch
Patch97:      maven3-core-pom.patch
Patch98:      maven3-pom.patch
Patch99:      maven3-build.patch

## Patch2XX for non-upstreamable patches
Patch200:       0002-Use-custom-resolver.patch

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  maven-parent
BuildRequires:  maven-antrun-plugin
BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-docck-plugin
BuildRequires:  maven-gpg-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-plugin-tools
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  modello >= 0:1.4.1
BuildRequires:  mojo-maven2-plugin-buildnumber
BuildRequires:  plexus-cipher
BuildRequires:  plexus-containers-component-metadata >= 1.5.5
BuildRequires:  plexus-containers-container-default
BuildRequires:  plexus-io
BuildRequires:  plexus-sec-dispatcher
BuildRequires:  plexus-tools
BuildRequires:  mojo-animal-sniffer >= 1.6-5
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-io2
BuildRequires:  apache-commons-jxpath
BuildRequires:  mojo-parent
BuildRequires:  atinject
BuildRequires:  aether >= 1.11
BuildRequires:  async-http-client
BuildRequires:  sonatype-oss-parent
BuildRequires:  sisu2 >= 2.1.1-2
BuildRequires:  google-guice3 >= 3.0
BuildRequires:  geronimo-genesis
BuildRequires:  geronimo-servlet-2.5-api
BuildRequires:  google-pom
BuildRequires:  hamcrest
BuildRequires:  hamcrest13
BuildRequires:  hc-httpclient
BuildRequires:  apache-commons-parent
BuildRequires:  jsoup

# temporary for default poms resolving fix
BuildRequires:  maven2

Requires:       java >= 1:1.6.0
Requires:       plexus-classworlds >= 2.4
Requires:       apache-commons-cli
Requires:       guava
Requires:       hamcrest
Requires:       hamcrest13
Requires:       nekohtml
Requires:       plexus-cipher
Requires:       plexus-containers-component-annotations
Requires:       plexus-containers-container-default
Requires:       plexus-interpolation
Requires:       plexus-sec-dispatcher
Requires:       plexus-utils
Requires:       xbean
Requires:       xerces-j2
Requires:       maven-wagon >= 0:1.0-1
Requires:       aether >= 1.13
Requires:       async-http-client
Requires:       sonatype-oss-parent
Requires:       sisu2 >= 2.1.1-2
Requires:       google-guice3 >= 3.0
Requires:       atinject
Requires:       mojo-animal-sniffer >= 1.6-5
Requires:       mojo-parent
Requires:       apache-commons-parent


Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Conflicts:      maven

%description
Maven is a software project management and comprehension tool. Based on the
concept of a project object model (POM), Maven can manage a project's build,
reporting and documentation from a central piece of information.

%package        javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q -n apache-maven-%{version}%{?ver_add}
%patch200 -p1

## get custom resolver in place
mkdir -p maven-aether-provider/src/main/java/org/apache/maven/artifact/resolver \
         maven-aether-provider/src/main/java/org/apache/maven/artifact/repository
#
cp %{SOURCE100} maven-aether-provider/src/main/java/org/apache/maven/artifact/resolver
cp %{SOURCE101} maven-aether-provider/src/main/java/org/apache/maven/artifact/repository

#commons-cli:commons-cli:1.2
mkdir -p m3_repo/repository/commons-cli/commons-cli/1.2
ln -s $(build-classpath commons-cli) m3_repo/repository/commons-cli/commons-cli/1.2/commons-cli-1.2.jar
cp %{_datadir}/maven2/poms/JPP-apache-commons-cli.pom m3_repo/repository/commons-cli/commons-cli/1.2/commons-cli-1.2.pom
#commons-jxpath:commons-jxpath:1.3
mkdir -p m3_repo/repository/commons-jxpath/commons-jxpath/1.3
ln -s $(build-classpath commons-jxpath) m3_repo/repository/commons-jxpath/commons-jxpath/1.3/commons-jxpath-1.3.jar
cp %{_datadir}/maven2/poms/JPP-apache-commons-jxpath.pom m3_repo/repository/commons-jxpath/commons-jxpath/1.3/commons-jxpath-1.3.pom
#easymock:easymock:1.2_Java1.3
mkdir -p m3_repo/repository/easymock/easymock/1.2_Java1.3
ln -s $(build-classpath easymock) m3_repo/repository/easymock/easymock/1.2_Java1.3/easymock-1.2_Java1.3.jar
cp %{_datadir}/maven2/poms/easymock-1.2_Java1.5.pom m3_repo/repository/easymock/easymock/1.2_Java1.3/easymock-1.2_Java1.3.pom
#junit:junit:3.8.2
mkdir -p m3_repo/repository/junit/junit/3.8.2
ln -s $(build-classpath junit) m3_repo/repository/junit/junit/3.8.2/junit-3.8.2.jar
cp %{_datadir}/maven2/poms/JPP-junit.pom m3_repo/repository/junit/junit/3.8.2/junit-3.8.2.pom

###org.apache.maven:maven-aether-provider:3.0.3
###org.apache.maven:maven-artifact:3.0.3
###org.apache.maven:maven-compat:3.0.3
###org.apache.maven:maven-core:3.0.3
###org.apache.maven:maven-embedder:3.0.3
###org.apache.maven:maven-model:3.0.3
###org.apache.maven:maven-model-builder:3.0.3
###org.apache.maven:maven-plugin-api:3.0.3
###org.apache.maven:maven-repository-metadata:3.0.3
###org.apache.maven:maven-settings:3.0.3
###org.apache.maven:maven-settings-builder:3.0.3

#org.apache.maven.wagon:wagon-file:1.0-beta-7
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon-file/1.0-beta-7
ln -s $(build-classpath maven-wagon/wagon-file) m3_repo/repository/org/apache/maven/wagon/wagon-file/1.0-beta-7/wagon-file-1.0-beta-7.jar
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon-file.pom m3_repo/repository/org/apache/maven/wagon/wagon-file/1.0-beta-7/wagon-file-1.0-beta-7.pom
#org.apache.maven.wagon:wagon-http-lightweight:1.0-beta-7
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon-http-lightweight/1.0-beta-7
ln -s $(build-classpath maven-wagon/wagon-http-lightweight) m3_repo/repository/org/apache/maven/wagon/wagon-http-lightweight/1.0-beta-7/wagon-http-lightweight-1.0-beta-7.jar
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon-http-lightweight.pom m3_repo/repository/org/apache/maven/wagon/wagon-http-lightweight/1.0-beta-7/wagon-http-lightweight-1.0-beta-7.pom
#org.apache.maven.wagon:wagon-provider-api:1.0-beta-7
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon-provider-api/1.0-beta-7
ln -s $(build-classpath maven-wagon/wagon-provider-api) m3_repo/repository/org/apache/maven/wagon/wagon-provider-api/1.0-beta-7/wagon-provider-api-1.0-beta-7.jar
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon-provider-api.pom m3_repo/repository/org/apache/maven/wagon/wagon-provider-api/1.0-beta-7/wagon-provider-api-1.0-beta-7.pom
#
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus/2.0.3
cp %{SOURCE98} m3_repo/repository/org/codehaus/plexus/plexus/2.0.3/plexus-2.0.3.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus/2.0.2
cp %{SOURCE98} m3_repo/repository/org/codehaus/plexus/plexus/2.0.2/plexus-2.0.2.pom
#org.codehaus.plexus:plexus-classworlds:2.4
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-classworlds/2.4
ln -s $(build-classpath plexus/classworlds) m3_repo/repository/org/codehaus/plexus/plexus-classworlds/2.4/plexus-classworlds-2.4.jar
cp %{_datadir}/maven2/poms/JPP.plexus-classworlds.pom m3_repo/repository/org/codehaus/plexus/plexus-classworlds/2.4/plexus-classworlds-2.4.pom
#org.codehaus.plexus:plexus-component-annotations:1.5.5
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-component-annotations/1.5.5
ln -s $(build-classpath plexus/containers-component-annotations) m3_repo/repository/org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.jar
cp %{_datadir}/maven2/poms/JPP.plexus-containers-component-annotations.pom m3_repo/repository/org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.pom
#org.codehaus.plexus:plexus-interpolation:1.14
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.14
ln -s $(build-classpath plexus-interpolation) m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.jar
cp %{_datadir}/maven2/poms/JPP-plexus-interpolation.pom m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.pom
#org.codehaus.plexus:plexus-utils:2.0.6
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/2.0.6
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/2.0.6/plexus-utils-2.0.6.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/2.0.6/plexus-utils-2.0.6.pom
#org.sonatype.aether:aether-api:1.11
mkdir -p m3_repo/repository/org/sonatype/aether/aether-api/1.11
#ln -s $(build-classpath sonatype-aether/aether-api) m3_repo/repository/org/sonatype/aether/aether-api/1.11/aether-api-1.11.jar
ln -s $(build-classpath aether/aether-api) m3_repo/repository/org/sonatype/aether/aether-api/1.11/aether-api-1.11.jar
#cp %{_datadir}/maven2/poms/JPP.sonatype-aether-aether-api.pom m3_repo/repository/org/sonatype/aether/aether-api/1.11/aether-api-1.11.pom
cp %{_datadir}/maven2/poms/JPP.aether-aether-api.pom m3_repo/repository/org/sonatype/aether/aether-api/1.11/aether-api-1.11.pom
##org.sonatype.aether:aether-connector-wagon:1.11
mkdir -p m3_repo/repository/org/sonatype/aether/aether-connector-wagon/1.11
##ln -s $(build-classpath sonatype-aether/aether-connector-wagon) m3_repo/repository/org/sonatype/aether/aether-connector-wagon/1.11/aether-connector-wagon-1.11.jar
ln -s $(build-classpath aether/aether-connector-wagon) m3_repo/repository/org/sonatype/aether/aether-connector-wagon/1.11/aether-connector-wagon-1.11.jar
##cp %{_datadir}/maven2/poms/JPP.sonatype-aether-aether-connector-wagon.pom m3_repo/repository/org/sonatype/aether/aether-connector-wagon/1.11/aether-connector-wagon-1.11.pom
cp %{_datadir}/maven2/poms/JPP.aether-aether-connector-wagon.pom m3_repo/repository/org/sonatype/aether/aether-connector-wagon/1.11/aether-connector-wagon-1.11.pom
#org.sonatype.aether:aether-impl:1.11
mkdir -p m3_repo/repository/org/sonatype/aether/aether-impl/1.11
#ln -s $(build-classpath sonatype-aether/aether-impl) m3_repo/repository/org/sonatype/aether/aether-impl/1.11/aether-impl-1.11.jar
ln -s $(build-classpath aether/aether-impl) m3_repo/repository/org/sonatype/aether/aether-impl/1.11/aether-impl-1.11.jar
#cp %{_datadir}/maven2/poms/JPP.sonatype-aether-aether-impl.pom m3_repo/repository/org/sonatype/aether/aether-impl/1.11/aether-impl-1.11.pom
cp %{_datadir}/maven2/poms/JPP.aether-aether-impl.pom m3_repo/repository/org/sonatype/aether/aether-impl/1.11/aether-impl-1.11.pom
#org.sonatype.aether:aether-spi:1.11
mkdir -p m3_repo/repository/org/sonatype/aether/aether-spi/1.11
#ln -s $(build-classpath sonatype-aether/aether-spi) m3_repo/repository/org/sonatype/aether/aether-spi/1.11/aether-spi-1.11.jar
ln -s $(build-classpath aether/aether-spi) m3_repo/repository/org/sonatype/aether/aether-spi/1.11/aether-spi-1.11.jar
#cp %{_datadir}/maven2/poms/JPP.sonatype-aether-aether-spi.pom m3_repo/repository/org/sonatype/aether/aether-spi/1.11/aether-spi-1.11.pom
cp %{_datadir}/maven2/poms/JPP.aether-aether-spi.pom m3_repo/repository/org/sonatype/aether/aether-spi/1.11/aether-spi-1.11.pom
#org.sonatype.aether:aether-util:1.11
mkdir -p m3_repo/repository/org/sonatype/aether/aether-util/1.11
#ln -s $(build-classpath sonatype-aether/aether-util) m3_repo/repository/org/sonatype/aether/aether-util/1.11/aether-util-1.11.jar
ln -s $(build-classpath aether/aether-util) m3_repo/repository/org/sonatype/aether/aether-util/1.11/aether-util-1.11.jar
#cp %{_datadir}/maven2/poms/JPP.sonatype-aether-aether-util.pom m3_repo/repository/org/sonatype/aether/aether-util/1.11/aether-util-1.11.pom
cp %{_datadir}/maven2/poms/JPP.aether-aether-util.pom m3_repo/repository/org/sonatype/aether/aether-util/1.11/aether-util-1.11.pom
#org.sonatype.plexus:plexus-cipher:1.4
mkdir -p m3_repo/repository/org/sonatype/plexus/plexus-cipher/1.4
ln -s $(build-classpath plexus-cipher) m3_repo/repository/org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar
cp %{_datadir}/maven2/poms/JPP-plexus-cipher.pom m3_repo/repository/org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.pom
#org.sonatype.plexus:plexus-sec-dispatcher:1.3
mkdir -p m3_repo/repository/org/sonatype/plexus/plexus-sec-dispatcher/1.3
ln -s $(build-classpath plexus/plexus-sec-dispatcher) m3_repo/repository/org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.jar
cp %{_datadir}/maven2/poms/JPP.plexus-plexus-sec-dispatcher.pom m3_repo/repository/org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.pom
#org.sonatype.sisu:sisu-inject-plexus:2.1.1
mkdir -p m3_repo/repository/org/sonatype/sisu/sisu-inject-plexus/2.1.1
ln -s $(build-classpath sisu2/sisu-inject-plexus) m3_repo/repository/org/sonatype/sisu/sisu-inject-plexus/2.1.1/sisu-inject-plexus-2.1.1.jar
cp %{_datadir}/maven2/poms/JPP.sisu2-sisu-inject-plexus.pom m3_repo/repository/org/sonatype/sisu/sisu-inject-plexus/2.1.1/sisu-inject-plexus-2.1.1.pom
#
mkdir -p m3_repo/repository/org/sonatype/sisu/inject/guice-plexus/2.2.1
cp %{_datadir}/maven2/poms/JPP.sisu2-guice-plexus.pom m3_repo/repository/org/sonatype/sisu/inject/guice-plexus/2.2.1/guice-plexus-2.2.1.pom
#
mkdir -p m3_repo/repository/org/sonatype/sisu/inject/guice-bean/2.2.1
cp %{_datadir}/maven2/poms/JPP.sisu2-guice-bean.pom m3_repo/repository/org/sonatype/sisu/inject/guice-bean/2.2.1/guice-bean-2.2.1.pom
#
mkdir -p m3_repo/repository/org/sonatype/sisu/inject/containers/2.2.1
cp %{_datadir}/maven2/poms/JPP.sisu2-containers.pom m3_repo/repository/org/sonatype/sisu/inject/containers/2.2.1/containers-2.2.1.pom
#
mkdir -p m3_repo/repository/org/sonatype/sisu/sisu-inject/2.2.1
cp %{_datadir}/maven2/poms/JPP.sisu2-sisu-inject.pom m3_repo/repository/org/sonatype/sisu/sisu-inject/2.2.1/sisu-inject-2.2.1.pom
#
mkdir -p m3_repo/repository/org/sonatype/sisu/sisu-parent/2.2.1
cp %{_datadir}/maven2/poms/JPP.sisu2-sisu-parent.pom m3_repo/repository/org/sonatype/sisu/sisu-parent/2.2.1/sisu-parent-2.2.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-parent/20
cp %{_datadir}/maven2/poms/JPP-maven-parent.pom m3_repo/repository/org/apache/maven/maven-parent/20/maven-parent-20.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-parent/15
cp %{_datadir}/maven2/poms/JPP-maven-parent.pom m3_repo/repository/org/apache/maven/maven-parent/15/maven-parent-15.pom
#
mkdir -p m3_repo/repository/org/apache/apache/10
cp %{SOURCE99} m3_repo/repository/org/apache/apache/10/apache-10.pom
#
mkdir -p m3_repo/repository/org/apache/apache/9
cp %{SOURCE99} m3_repo/repository/org/apache/apache/9/apache-9.pom
#
mkdir -p m3_repo/repository/org/apache/apache/7
cp %{SOURCE99} m3_repo/repository/org/apache/apache/7/apache-7.pom
#
mkdir -p m3_repo/repository/org/sonatype/forge/forge-parent/9
cp %{_datadir}/maven2/poms/JPP.plexus-forge-parent.pom m3_repo/repository/org/sonatype/forge/forge-parent/9/forge-parent-9.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-containers/1.5.5
cp %{_datadir}/maven2/poms/JPP.plexus-containers.pom m3_repo/repository/org/codehaus/plexus/plexus-containers/1.5.5/plexus-containers-1.5.5.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus/2.0.7
cp %{SOURCE98} m3_repo/repository/org/codehaus/plexus/plexus/2.0.7/plexus-2.0.7.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-components/1.1.18
cp %{SOURCE97} m3_repo/repository/org/codehaus/plexus/plexus-components/1.1.18/plexus-components-1.1.18.pom
#
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon/1.0
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon.pom m3_repo/repository/org/apache/maven/wagon/wagon/1.0/wagon-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon-providers/1.0
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon-providers.pom m3_repo/repository/org/apache/maven/wagon/wagon-providers/1.0/wagon-providers-1.0.pom
#
mkdir -p m3_repo/repository/org/sonatype/aether/aether/1.13.1
cp %{_datadir}/maven2/poms/JPP.aether-aether.pom m3_repo/repository/org/sonatype/aether/aether/1.13.1/aether-1.13.1.pom
#
mkdir -p m3_repo/repository/org/sonatype/forge/forge-parent/10
cp %{_datadir}/maven2/poms/JPP.plexus-forge-parent.pom m3_repo/repository/org/sonatype/forge/forge-parent/10/forge-parent-10.pom
#
mkdir -p m3_repo/repository/org/apache/commons/commons-parent/11
#cp %{_datadir}/maven2/poms/JPP-apache-commons-parent.pom m3_repo/repository/org/apache/commons/commons-parent/11/commons-parent-11.pom
cp %{_datadir}/maven2/poms/JPP.apache-commons-parent-commons-parent.pom m3_repo/repository/org/apache/commons/commons-parent/11/commons-parent-11.pom
#
mkdir -p m3_repo/repository/org/apache/apache/4
cp %{SOURCE99} m3_repo/repository/org/apache/apache/4/apache-4.pom
#
mkdir -p m3_repo/repository/org/sonatype/spice/spice-parent/15
cp %{_datadir}/maven2/poms/JPP-sonatype-spice-parent.pom m3_repo/repository/org/sonatype/spice/spice-parent/15/spice-parent-15.pom
#
mkdir -p m3_repo/repository/org/sonatype/spice/spice-parent/12
cp %{_datadir}/maven2/poms/JPP-sonatype-spice-parent.pom m3_repo/repository/org/sonatype/spice/spice-parent/12/spice-parent-12.pom
#
mkdir -p m3_repo/repository/org/sonatype/forge/forge-parent/3
cp %{_datadir}/maven2/poms/JPP.plexus-forge-parent.pom m3_repo/repository/org/sonatype/forge/forge-parent/3/forge-parent-3.pom
#
mkdir -p m3_repo/repository/org/sonatype/sisu/sisu-inject-bean/2.2.1
ln -s $(build-classpath sisu2/sisu-inject-bean) m3_repo/repository/org/sonatype/sisu/sisu-inject-bean/2.2.1/sisu-inject-bean-2.2.1.jar
cp %{_datadir}/maven2/poms/JPP.sisu2-sisu-inject-bean.pom m3_repo/repository/org/sonatype/sisu/sisu-inject-bean/2.2.1/sisu-inject-bean-2.2.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon-http-shared/1.0
ln -s $(build-classpath maven-wagon/wagon-http-shared) m3_repo/repository/org/apache/maven/wagon/wagon-http-shared/1.0/wagon-http-shared-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon-http-shared.pom m3_repo/repository/org/apache/maven/wagon/wagon-http-shared/1.0/wagon-http-shared-1.0.pom
#
mkdir -p m3_repo/repository/org/sonatype/sisu/sisu-guice/3.0.1
ln -s $(build-classpath sisu-guice/sisu-guice) m3_repo/repository/org/sonatype/sisu/sisu-guice/3.0.1/sisu-guice-3.0.1.jar
cp %{_datadir}/maven2/poms/JPP.sisu-guice-sisu-guice.pom m3_repo/repository/org/sonatype/sisu/sisu-guice/3.0.1/sisu-guice-3.0.1.pom
#
mkdir -p m3_repo/repository/commons-io/commons-io/1.4
ln -s $(build-classpath commons-io) m3_repo/repository/commons-io/commons-io/1.4/commons-io-1.4.jar
cp %{_datadir}/maven2/poms/JPP-apache-commons-io.pom m3_repo/repository/commons-io/commons-io/1.4/commons-io-1.4.pom
#
mkdir -p m3_repo/repository/commons-io/commons-io/2.0.1
ln -s $(build-classpath commons-io2) m3_repo/repository/commons-io/commons-io/2.0.1/commons-io-2.0.1.jar
cp %{_datadir}/maven2/poms/JPP-apache-commons-io2.pom m3_repo/repository/commons-io/commons-io/2.0.1/commons-io-2.0.1.pom
#
mkdir -p m3_repo/repository/org/sonatype/sisu/inject/guice-parent/2.9.2
cp %{_datadir}/maven2/poms/JPP.sisu-guice-guice-parent.pom m3_repo/repository/org/sonatype/sisu/inject/guice-parent/2.9.2/guice-parent-2.9.2.pom
#
mkdir -p m3_repo/repository/org/sonatype/forge/forge-parent/6
cp %{_datadir}/maven2/poms/JPP.plexus-forge-parent.pom m3_repo/repository/org/sonatype/forge/forge-parent/6/forge-parent-6.pom
#
mkdir -p m3_repo/repository/org/apache/commons/commons-parent/15
#cp %{_datadir}/maven2/poms/JPP-apache-commons-parent.pom m3_repo/repository/org/apache/commons/commons-parent/15/commons-parent-15.pom
cp %{_datadir}/maven2/poms/JPP.apache-commons-parent-commons-parent.pom m3_repo/repository/org/apache/commons/commons-parent/15/commons-parent-15.pom
#
mkdir -p m3_repo/repository/org/jsoup/jsoup/1.6.1/
ln -s $(build-classpath jsoup) m3_repo/repository/org/jsoup/jsoup/1.6.1/jsoup-1.6.1.jar
cp %{_datadir}/maven2/poms/JPP-jsoup.pom m3_repo/repository/org/jsoup/jsoup/1.6.1/jsoup-1.6.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-maven-plugin/1.4.1
ln -s $(build-classpath modello/maven-plugin) m3_repo/repository/org/codehaus/modello/modello-maven-plugin/1.4.1/modello-maven-plugin-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-maven-plugin.pom m3_repo/repository/org/codehaus/modello/modello-maven-plugin/1.4.1/modello-maven-plugin-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello/1.4.1
cp %{_datadir}/maven2/poms/JPP.modello-modello.pom m3_repo/repository/org/codehaus/modello/modello/1.4.1/modello-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugin-converters/1.4.1
ln -s $(build-classpath modello/plugin-converters) m3_repo/repository/org/codehaus/modello/modello-plugin-converters/1.4.1/modello-plugin-converters-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-plugin-converters.pom m3_repo/repository/org/codehaus/modello/modello-plugin-converters/1.4.1/modello-plugin-converters-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugin-dom4j/1.4.1
ln -s $(build-classpath modello/plugin-dom4j) m3_repo/repository/org/codehaus/modello/modello-plugin-dom4j/1.4.1/modello-plugin-dom4j-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-plugin-dom4j.pom m3_repo/repository/org/codehaus/modello/modello-plugin-dom4j/1.4.1/modello-plugin-dom4j-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugin-java/1.4.1
ln -s $(build-classpath modello/plugin-java) m3_repo/repository/org/codehaus/modello/modello-plugin-java/1.4.1/modello-plugin-java-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-plugin-java.pom m3_repo/repository/org/codehaus/modello/modello-plugin-java/1.4.1/modello-plugin-java-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugin-jdom/1.4.1
ln -s $(build-classpath modello/plugin-jdom) m3_repo/repository/org/codehaus/modello/modello-plugin-jdom/1.4.1/modello-plugin-jdom-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-plugin-jdom.pom m3_repo/repository/org/codehaus/modello/modello-plugin-jdom/1.4.1/modello-plugin-jdom-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugins/1.4.1
cp %{_datadir}/maven2/poms/JPP.modello-plugins.pom m3_repo/repository/org/codehaus/modello/modello-plugins/1.4.1/modello-plugins-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugin-stax/1.4.1
ln -s $(build-classpath modello/plugin-stax) m3_repo/repository/org/codehaus/modello/modello-plugin-stax/1.4.1/modello-plugin-stax-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-plugin-stax.pom m3_repo/repository/org/codehaus/modello/modello-plugin-stax/1.4.1/modello-plugin-stax-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugin-xdoc/1.4.1
ln -s $(build-classpath modello/plugin-xdoc) m3_repo/repository/org/codehaus/modello/modello-plugin-xdoc/1.4.1/modello-plugin-xdoc-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-plugin-xdoc.pom m3_repo/repository/org/codehaus/modello/modello-plugin-xdoc/1.4.1/modello-plugin-xdoc-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugin-xml/1.4.1
ln -s $(build-classpath modello/plugin-xml) m3_repo/repository/org/codehaus/modello/modello-plugin-xml/1.4.1/modello-plugin-xml-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-plugin-xml.pom m3_repo/repository/org/codehaus/modello/modello-plugin-xml/1.4.1/modello-plugin-xml-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugin-xpp3/1.4.1
ln -s $(build-classpath modello/plugin-xpp3) m3_repo/repository/org/codehaus/modello/modello-plugin-xpp3/1.4.1/modello-plugin-xpp3-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-plugin-xpp3.pom m3_repo/repository/org/codehaus/modello/modello-plugin-xpp3/1.4.1/modello-plugin-xpp3-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-plugin-xsd/1.4.1
ln -s $(build-classpath modello/plugin-xsd) m3_repo/repository/org/codehaus/modello/modello-plugin-xsd/1.4.1/modello-plugin-xsd-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-plugin-xsd.pom m3_repo/repository/org/codehaus/modello/modello-plugin-xsd/1.4.1/modello-plugin-xsd-1.4.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-plugin-api/2.0.7
ln -s $(build-classpath maven2/plugin-api) m3_repo/repository/org/apache/maven/maven-plugin-api/2.0.7/maven-plugin-api-2.0.7.jar
cp %{_datadir}/maven2/poms/JPP.maven2-plugin-api.pom m3_repo/repository/org/apache/maven/maven-plugin-api/2.0.7/maven-plugin-api-2.0.7.pom
#
mkdir -p m3_repo/repository/org/codehaus/modello/modello-core/1.4.1
ln -s $(build-classpath modello/core) m3_repo/repository/org/codehaus/modello/modello-core/1.4.1/modello-core-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.modello-core.pom m3_repo/repository/org/codehaus/modello/modello-core/1.4.1/modello-core-1.4.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-project/2.0.7
ln -s $(build-classpath maven2/project) m3_repo/repository/org/apache/maven/maven-project/2.0.7/maven-project-2.0.7.jar
cp %{_datadir}/maven2/poms/JPP.maven2-project.pom m3_repo/repository/org/apache/maven/maven-project/2.0.7/maven-project-2.0.7.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-model/2.0.7
ln -s $(build-classpath maven2/model) m3_repo/repository/org/apache/maven/maven-model/2.0.7/maven-model-2.0.7.jar
cp %{_datadir}/maven2/poms/JPP.maven2-model.pom m3_repo/repository/org/apache/maven/maven-model/2.0.7/maven-model-2.0.7.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-30
ln -s $(build-classpath plexus/containers-container-default) m3_repo/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-30/plexus-container-default-1.0-alpha-30.jar
cp %{_datadir}/maven2/poms/JPP.plexus-containers-container-default.pom m3_repo/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-30/plexus-container-default-1.0-alpha-30.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.8
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.8/plexus-utils-1.5.8.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.8/plexus-utils-1.5.8.pom
#
mkdir -p m3_repo/repository/org/sonatype/plexus/plexus-build-api/0.0.3
ln -s $(build-classpath plexus-build-api) m3_repo/repository/org/sonatype/plexus/plexus-build-api/0.0.3/plexus-build-api-0.0.3.jar
cp %{_datadir}/maven2/poms/JPP-plexus-build-api.pom m3_repo/repository/org/sonatype/plexus/plexus-build-api/0.0.3/plexus-build-api-0.0.3.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven/2.0.8
cp %{_datadir}/maven2/poms/JPP.maven2-maven.pom m3_repo/repository/org/apache/maven/maven/2.0.8/maven-2.0.8.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-parent/6
cp %{_datadir}/maven2/poms/JPP-maven-parent.pom m3_repo/repository/org/apache/maven/maven-parent/6/maven-parent-6.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.11
ln -s $(build-classpath plexus-interpolation) m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.11/plexus-interpolation-1.11.jar
cp %{_datadir}/maven2/poms/JPP-plexus-interpolation.pom m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.11/plexus-interpolation-1.11.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-classworlds/2.2.2
ln -s $(build-classpath plexus/classworlds) m3_repo/repository/org/codehaus/plexus/plexus-classworlds/2.2.2/plexus-classworlds-2.2.2.jar
cp %{_datadir}/maven2/poms/JPP.plexus-classworlds.pom m3_repo/repository/org/codehaus/plexus/plexus-classworlds/2.2.2/plexus-classworlds-2.2.2.pom
#
mkdir -p m3_repo/repository/org/apache/xbean/xbean-reflect/3.4
ln -s $(build-classpath xbean/xbean-reflect) m3_repo/repository/org/apache/xbean/xbean-reflect/3.4/xbean-reflect-3.4.jar
cp %{_datadir}/maven2/poms/JPP.xbean-xbean-reflect.pom m3_repo/repository/org/apache/xbean/xbean-reflect/3.4/xbean-reflect-3.4.pom
#
mkdir -p m3_repo/repository/com/google/collections/google-collections/1.0/
ln -s $(build-classpath google-collections) m3_repo/repository/com/google/collections/google-collections/1.0/google-collections-1.0.jar
cp %{_datadir}/maven2/poms/JPP-google-collections.pom m3_repo/repository/com/google/collections/google-collections/1.0/google-collections-1.0.pom
#cp %{_datadir}/maven2/poms/JPP.google-collections.pom m3_repo/repository/com/google/collections/google-collections/1.0/google-collections-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-settings/2.0.8
ln -s $(build-classpath maven2/settings) m3_repo/repository/org/apache/maven/maven-settings/2.0.8/maven-settings-2.0.8.jar
cp %{_datadir}/maven2/poms/JPP.maven2-settings.pom m3_repo/repository/org/apache/maven/maven-settings/2.0.8/maven-settings-2.0.8.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-profile/2.0.8
ln -s $(build-classpath maven2/profile) m3_repo/repository/org/apache/maven/maven-profile/2.0.8/maven-profile-2.0.8.jar
cp %{_datadir}/maven2/poms/JPP.maven2-profile.pom m3_repo/repository/org/apache/maven/maven-profile/2.0.8/maven-profile-2.0.8.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-artifact-manager/2.0.8
ln -s $(build-classpath maven2/artifact-manager) m3_repo/repository/org/apache/maven/maven-artifact-manager/2.0.8/maven-artifact-manager-2.0.8.jar
cp %{_datadir}/maven2/poms/JPP.maven2-artifact-manager.pom m3_repo/repository/org/apache/maven/maven-artifact-manager/2.0.8/maven-artifact-manager-2.0.8.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-plugin-registry/2.0.8
ln -s $(build-classpath maven2/plugin-registry) m3_repo/repository/org/apache/maven/maven-plugin-registry/2.0.8/maven-plugin-registry-2.0.8.jar
cp %{_datadir}/maven2/poms/JPP.maven2-plugin-registry.pom m3_repo/repository/org/apache/maven/maven-plugin-registry/2.0.8/maven-plugin-registry-2.0.8.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-artifact/2.0.8
ln -s $(build-classpath maven2/artifact) m3_repo/repository/org/apache/maven/maven-artifact/2.0.8/maven-artifact-2.0.8.jar
cp %{_datadir}/maven2/poms/JPP.maven2-artifact.pom m3_repo/repository/org/apache/maven/maven-artifact/2.0.8/maven-artifact-2.0.8.pom
#
mkdir -p m3_repo/repository/org/apache/xbean/xbean/3.7
cp %{_datadir}/maven2/poms/JPP.xbean-xbean.pom m3_repo/repository/org/apache/xbean/xbean/3.7/xbean-3.7.pom
#
mkdir -p m3_repo/repository/com/google/google/1
cp %{_datadir}/maven2/poms/JPP-google-pom.pom m3_repo/repository/com/google/google/1/google-1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-repository-metadata/2.0.8
ln -s $(build-classpath maven2/repository-metadata) m3_repo/repository/org/apache/maven/maven-repository-metadata/2.0.8/maven-repository-metadata-2.0.8.jar
cp %{_datadir}/maven2/poms/JPP.maven2-repository-metadata.pom m3_repo/repository/org/apache/maven/maven-repository-metadata/2.0.8/maven-repository-metadata-2.0.8.pom
#
mkdir -p m3_repo/repository/jdom/jdom/1.0
ln -s $(build-classpath jdom) m3_repo/repository/jdom/jdom/1.0/jdom-1.0.jar
cp %{_datadir}/maven2/poms/JPP-jdom.pom m3_repo/repository/jdom/jdom/1.0/jdom-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon-provider-api/1.0
ln -s $(build-classpath maven-wagon/wagon-provider-api) m3_repo/repository/org/apache/maven/wagon/wagon-provider-api/1.0/wagon-provider-api-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon-provider-api.pom m3_repo/repository/org/apache/maven/wagon/wagon-provider-api/1.0/wagon-provider-api-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon-provider-api/1.0-beta-2
ln -s $(build-classpath maven-wagon/wagon-provider-api) m3_repo/repository/org/apache/maven/wagon/wagon-provider-api/1.0-beta-2/wagon-provider-api-1.0-beta-2.jar
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon-provider-api.pom m3_repo/repository/org/apache/maven/wagon/wagon-provider-api/1.0-beta-2/wagon-provider-api-1.0-beta-2.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-component-metadata/1.5.5
ln -s $(build-classpath plexus/containers-component-metadata) m3_repo/repository/org/codehaus/plexus/plexus-component-metadata/1.5.5/plexus-component-metadata-1.5.5.jar
cp %{_datadir}/maven2/poms/JPP.plexus-containers-component-metadata.pom m3_repo/repository/org/codehaus/plexus/plexus-component-metadata/1.5.5/plexus-component-metadata-1.5.5.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/1.4.5
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/1.4.5/plexus-utils-1.4.5.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/1.4.5/plexus-utils-1.4.5.pom
#
mkdir -p m3_repo/repository/com/thoughtworks/qdox/qdox/1.12
ln -s $(build-classpath qdox) m3_repo/repository/com/thoughtworks/qdox/qdox/1.12/qdox-1.12.jar
cp %{_datadir}/maven2/poms/JPP-qdox.pom m3_repo/repository/com/thoughtworks/qdox/qdox/1.12/qdox-1.12.pom
#
mkdir -p m3_repo/repository/com/thoughtworks/qdox/qdox/1.9.2
ln -s $(build-classpath qdox) m3_repo/repository/com/thoughtworks/qdox/qdox/1.9.2/qdox-1.9.2.jar
cp %{_datadir}/maven2/poms/JPP-qdox.pom m3_repo/repository/com/thoughtworks/qdox/qdox/1.9.2/qdox-1.9.2.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-plugin-api/2.0.9
ln -s $(build-classpath maven2/plugin-api) m3_repo/repository/org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.jar
cp %{_datadir}/maven2/poms/JPP.maven2-plugin-api.pom m3_repo/repository/org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-model/2.0.9
ln -s $(build-classpath maven2/model) m3_repo/repository/org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.jar
cp %{_datadir}/maven2/poms/JPP.maven2-model.pom m3_repo/repository/org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-project/2.0.9
ln -s $(build-classpath maven2/project) m3_repo/repository/org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.jar
cp %{_datadir}/maven2/poms/JPP.maven2-project.pom m3_repo/repository/org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-cli/1.2
ln -s $(build-classpath plexus/cli) m3_repo/repository/org/codehaus/plexus/plexus-cli/1.2/plexus-cli-1.2.jar
cp %{_datadir}/maven2/poms/JPP.plexus-tools-cli.pom m3_repo/repository/org/codehaus/plexus/plexus-cli/1.2/plexus-cli-1.2.pom
#
mkdir -p m3_repo/repository/commons-cli/commons-cli/1.0
ln -s $(build-classpath commons-cli) m3_repo/repository/commons-cli/commons-cli/1.0/commons-cli-1.0.jar
cp %{_datadir}/maven2/poms/JPP-apache-commons-cli.pom m3_repo/repository/commons-cli/commons-cli/1.0/commons-cli-1.0.pom
#
mkdir -p m3_repo/repository/org/objectweb/asm/asm/3.1/
ln -s $(build-classpath objectweb-asm/asm) m3_repo/repository/org/objectweb/asm/asm/3.1/asm-3.1.jar
cp %{_datadir}/maven2/poms/JPP.objectweb-asm-asm.pom m3_repo/repository/org/objectweb/asm/asm/3.1/asm-3.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-tools/1.0.10
cp %{SOURCE94} m3_repo/repository/org/codehaus/plexus/plexus-tools/1.0.10/plexus-tools-1.0.10.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus/1.0.11
cp %{SOURCE98} m3_repo/repository/org/codehaus/plexus/plexus/1.0.11/plexus-1.0.11.pom
#
mkdir -p m3_repo/repository/asm/asm-parent/3.3.1/
cp %{_datadir}/maven2/poms/JPP.objectweb-asm-asm-parent.pom m3_repo/repository/asm/asm-parent/3.3.1/asm-parent-3.3.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-8
ln -s $(build-classpath plexus/containers-container-default) m3_repo/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-8/plexus-container-default-1.0-alpha-8.jar
cp %{_datadir}/maven2/poms/JPP.plexus-container-default.pom m3_repo/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-8/plexus-container-default-1.0-alpha-8.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1
ln -s $(build-classpath plexus/containers-container-default) m3_repo/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.jar
cp %{_datadir}/maven2/poms/JPP.plexus-container-default.pom m3_repo/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/containers-container-default/1.0-alpha-34
ln -s $(build-classpath plexus/containers-container-default) m3_repo/repository/org/codehaus/plexus/containers-container-default/1.0-alpha-34/containers-container-default-1.0-alpha-34.jar
cp %{_datadir}/maven2/poms/JPP.plexus-containers-container-default.pom m3_repo/repository/org/codehaus/plexus/containers-container-default/1.0-alpha-34/containers-container-default-1.0-alpha-34.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-containers-container-default/1.0-alpha-34
ln -s $(build-classpath plexus/containers-container-default) m3_repo/repository/org/codehaus/plexus/plexus-containers-container-default/1.0-alpha-34/plexus-containers-container-default-1.0-alpha-34.jar
cp %{_datadir}/maven2/poms/JPP.plexus-containers-container-default.pom m3_repo/repository/org/codehaus/plexus/plexus-containers-container-default/1.0-alpha-34/plexus-containers-container-default-1.0-alpha-34.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-containers/1.0.3
cp %{_datadir}/maven2/poms/JPP.plexus-containers.pom m3_repo/repository/org/codehaus/plexus/plexus-containers/1.0.3/plexus-containers-1.0.3.pom
#
mkdir -p m3_repo/repository/junit/junit/3.8.1
ln -s $(build-classpath junit) m3_repo/repository/junit/junit/3.8.1/junit-3.8.1.jar
cp %{_datadir}/maven2/poms/JPP-junit.pom m3_repo/repository/junit/junit/3.8.1/junit-3.8.1.pom
#
mkdir -p m3_repo/repository/classworlds/classworlds/1.1-alpha-2/
ln -s $(build-classpath classworlds) m3_repo/repository/classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.jar
cp %{SOURCE93} m3_repo/repository/classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.pom
# org.apache.maven.plugins:maven-plugin-plugin
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-plugin-plugin/2.8
cp %{SOURCE90} m3_repo/repository/org/apache/maven/plugins/maven-plugin-plugin/maven-metadata.xml
ln -s $(build-classpath maven-plugin-tools/plugin-plugin) m3_repo/repository/org/apache/maven/plugins/maven-plugin-plugin/2.8/maven-plugin-plugin-2.8.jar
cp %{_datadir}/maven2/poms/JPP.maven-plugin-tools-plugin-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-plugin-plugin/2.8/maven-plugin-plugin-2.8.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-site-plugin/2.1
ln -s $(build-classpath maven-site-plugin) m3_repo/repository/org/apache/maven/plugins/maven-site-plugin/2.1/maven-site-plugin-2.1.jar
cp %{_datadir}/maven2/poms/JPP-maven-site-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-site-plugin/2.1/maven-site-plugin-2.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-surefire-plugin/2.7.2
ln -s $(build-classpath maven-surefire/maven-surefire-plugin) m3_repo/repository/org/apache/maven/plugins/maven-surefire-plugin/2.7.2/maven-surefire-plugin-2.7.2.jar
cp %{_datadir}/maven2/poms/JPP.maven-surefire-maven-surefire-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-surefire-plugin/2.7.2/maven-surefire-plugin-2.7.2.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-antrun-plugin/1.3
ln -s $(build-classpath maven-antrun-plugin) m3_repo/repository/org/apache/maven/plugins/maven-antrun-plugin/1.3/maven-antrun-plugin-1.3.jar
cp %{_datadir}/maven2/poms/JPP-maven-antrun-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-antrun-plugin/1.3/maven-antrun-plugin-1.3.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-release-plugin/2.1
ln -s $(build-classpath maven2/plugins/release-plugin) m3_repo/repository/org/apache/maven/plugins/maven-release-plugin/2.1/maven-release-plugin-2.1.jar
cp %{_datadir}/maven2/poms/JPP.maven2.plugins-release-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-release-plugin/2.1/maven-release-plugin-2.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-clean-plugin/2.4.1
ln -s $(build-classpath maven-clean-plugin) m3_repo/repository/org/apache/maven/plugins/maven-clean-plugin/2.4.1/maven-clean-plugin-2.4.1.jar
cp %{_datadir}/maven2/poms/JPP-maven-clean-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-clean-plugin/2.4.1/maven-clean-plugin-2.4.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-plugins/22
cp %{SOURCE92} m3_repo/repository/org/apache/maven/plugins/maven-plugins/22/maven-plugins-22.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-plugins/19
cp %{SOURCE92} m3_repo/repository/org/apache/maven/plugins/maven-plugins/19/maven-plugins-19.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-plugins/18
cp %{SOURCE92} m3_repo/repository/org/apache/maven/plugins/maven-plugins/18/maven-plugins-18.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-plugins/13
cp %{SOURCE92} m3_repo/repository/org/apache/maven/plugins/maven-plugins/13/maven-plugins-13.pom
# org.apache.felix:maven-bundle-plugin:jar:1.0.0
mkdir -p m3_repo/repository/org/apache/felix/maven-bundle-plugin/1.0.0
ln -s $(build-classpath maven-bundle-plugin) m3_repo/repository/org/apache/felix/maven-bundle-plugin/1.0.0/maven-bundle-plugin-1.0.0.jar
cp %{_datadir}/maven2/poms/JPP-maven-bundle-plugin.pom m3_repo/repository/org/apache/felix/maven-bundle-plugin/1.0.0/maven-bundle-plugin-1.0.0.pom
# org.apache.maven.plugins:maven-invoker-plugin:1.5:
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-invoker-plugin/1.5
ln -s $(build-classpath maven-invoker-plugin) m3_repo/repository/org/apache/maven/plugins/maven-invoker-plugin/1.5/maven-invoker-plugin-1.5.jar
cp %{_datadir}/maven2/poms/JPP-maven-invoker-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-invoker-plugin/1.5/maven-invoker-plugin-1.5.pom
# org.apache.maven.plugins:maven-gpg-plugin:1.3:
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-gpg-plugin/1.3
ln -s $(build-classpath maven-gpg-plugin) m3_repo/repository/org/apache/maven/plugins/maven-gpg-plugin/1.3/maven-gpg-plugin-1.3.jar
cp %{_datadir}/maven2/poms/JPP-maven-gpg-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-gpg-plugin/1.3/maven-gpg-plugin-1.3.pom
# org.apache.maven.plugins:maven-enforcer-plugin:1.0.1:
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-enforcer-plugin/1.0.1
ln -s $(build-classpath maven-enforcer-plugin) m3_repo/repository/org/apache/maven/plugins/maven-enforcer-plugin/1.0.1/maven-enforcer-plugin-1.0.1.jar
cp %{_datadir}/maven2/poms/JPP-maven-enforcer-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-enforcer-plugin/1.0.1/maven-enforcer-plugin-1.0.1.pom
# org.apache.maven.plugins:maven-docck-plugin:1.0:
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-docck-plugin/1.0
ln -s $(build-classpath maven-docck-plugin) m3_repo/repository/org/apache/maven/plugins/maven-docck-plugin/1.0/maven-docck-plugin-1.0.jar
cp %{_datadir}/maven2/poms/JPP-maven-docck-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-docck-plugin/1.0/maven-docck-plugin-1.0.pom
# org.apache.maven.plugins:maven-dependency-plugin:2.1:
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-dependency-plugin/2.1
ln -s $(build-classpath maven-dependency-plugin) m3_repo/repository/org/apache/maven/plugins/maven-dependency-plugin/2.1/maven-dependency-plugin-2.1.jar
cp %{_datadir}/maven2/poms/JPP-maven-dependency-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-dependency-plugin/2.1/maven-dependency-plugin-2.1.pom
# org.apache.maven.plugins:maven-assembly-plugin:2.2-beta-5:
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-assembly-plugin/2.2-beta-5
ln -s $(build-classpath maven-assembly-plugin) m3_repo/repository/org/apache/maven/plugins/maven-assembly-plugin/2.2-beta-5/maven-assembly-plugin-2.2-beta-5.jar
cp %{_datadir}/maven2/poms/JPP-maven-assembly-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-assembly-plugin/2.2-beta-5/maven-assembly-plugin-2.2-beta-5.pom
# org.apache.maven.plugins:maven-antrun-plugin:jar:1.6
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-antrun-plugin/1.6
ln -s $(build-classpath maven-antrun-plugin) m3_repo/repository/org/apache/maven/plugins/maven-antrun-plugin/1.6/maven-antrun-plugin-1.6.jar
cp %{_datadir}/maven2/poms/JPP-maven-antrun-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-antrun-plugin/1.6/maven-antrun-plugin-1.6.pom
# org.apache.maven.plugins:maven-deploy-plugin:2.6:
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-deploy-plugin/2.6
ln -s $(build-classpath maven-deploy-plugin) m3_repo/repository/org/apache/maven/plugins/maven-deploy-plugin/2.6/maven-deploy-plugin-2.6.jar
cp %{_datadir}/maven2/poms/JPP-maven-deploy-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-deploy-plugin/2.6/maven-deploy-plugin-2.6.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-remote-resources-plugin/1.1
ln -s $(build-classpath maven-remote-resources-plugin) m3_repo/repository/org/apache/maven/plugins/maven-remote-resources-plugin/1.1/maven-remote-resources-plugin-1.1.jar
cp %{_datadir}/maven2/poms/JPP-maven-remote-resources-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-remote-resources-plugin/1.1/maven-remote-resources-plugin-1.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-resources-plugin/2.4.2
ln -s $(build-classpath maven-resources-plugin) m3_repo/repository/org/apache/maven/plugins/maven-resources-plugin/2.4.2/maven-resources-plugin-2.4.2.jar
cp %{_datadir}/maven2/poms/JPP-maven-resources-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-resources-plugin/2.4.2/maven-resources-plugin-2.4.2.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-parent/16
cp %{_datadir}/maven2/poms/JPP-maven-parent.pom m3_repo/repository/org/apache/maven/maven-parent/16/maven-parent-16.pom
#
mkdir -p m3_repo/repository/org/codehaus/mojo/java-boot-classpath-detector/1.7
ln -s $(build-classpath mojo-animal-sniffer/java-boot-classpath-detector) m3_repo/repository/org/codehaus/mojo/java-boot-classpath-detector/1.7/java-boot-classpath-detector-1.7.jar
cp %{_datadir}/maven2/poms/JPP.mojo-animal-sniffer-java-boot-classpath-detector.pom m3_repo/repository/org/codehaus/mojo/java-boot-classpath-detector/1.7/java-boot-classpath-detector-1.7.pom
mkdir -p m3_repo/repository/org/codehaus/mojo/animal-sniffer/1.7
ln -s $(build-classpath mojo-animal-sniffer/animal-sniffer) m3_repo/repository/org/codehaus/mojo/animal-sniffer/1.7/animal-sniffer-1.7.jar
cp %{_datadir}/maven2/poms/JPP.mojo-animal-sniffer-animal-sniffer.pom m3_repo/repository/org/codehaus/mojo/animal-sniffer/1.7/animal-sniffer-1.7.pom
mkdir -p m3_repo/repository/org/codehaus/mojo/animal-sniffer-maven-plugin/1.7
ln -s $(build-classpath mojo-animal-sniffer/animal-sniffer-maven-plugin) m3_repo/repository/org/codehaus/mojo/animal-sniffer-maven-plugin/1.7/animal-sniffer-maven-plugin-1.7.jar
cp %{_datadir}/maven2/poms/JPP.mojo-animal-sniffer-animal-sniffer-maven-plugin.pom m3_repo/repository/org/codehaus/mojo/animal-sniffer-maven-plugin/1.7/animal-sniffer-maven-plugin-1.7.pom
mkdir -p m3_repo/repository/org/codehaus/mojo/animal-sniffer-parent/1.7
cp %{_datadir}/maven2/poms/JPP.mojo-animal-sniffer-animal-sniffer-parent.pom m3_repo/repository/org/codehaus/mojo/animal-sniffer-parent/1.7/animal-sniffer-parent-1.7.pom
#
mkdir -p m3_repo/repository/org/codehaus/mojo/java-boot-classpath-detector/1.6
ln -s $(build-classpath mojo-animal-sniffer/java-boot-classpath-detector) m3_repo/repository/org/codehaus/mojo/java-boot-classpath-detector/1.6/java-boot-classpath-detector-1.6.jar
cp %{_datadir}/maven2/poms/JPP.mojo-animal-sniffer-java-boot-classpath-detector.pom m3_repo/repository/org/codehaus/mojo/java-boot-classpath-detector/1.6/java-boot-classpath-detector-1.6.pom
mkdir -p m3_repo/repository/org/codehaus/mojo/animal-sniffer/1.6
ln -s $(build-classpath mojo-animal-sniffer/animal-sniffer) m3_repo/repository/org/codehaus/mojo/animal-sniffer/1.6/animal-sniffer-1.6.jar
cp %{_datadir}/maven2/poms/JPP.mojo-animal-sniffer-animal-sniffer.pom m3_repo/repository/org/codehaus/mojo/animal-sniffer/1.6/animal-sniffer-1.6.pom
mkdir -p m3_repo/repository/org/codehaus/mojo/animal-sniffer-maven-plugin/1.6
ln -s $(build-classpath mojo-animal-sniffer/animal-sniffer-maven-plugin) m3_repo/repository/org/codehaus/mojo/animal-sniffer-maven-plugin/1.6/animal-sniffer-maven-plugin-1.6.jar
cp %{_datadir}/maven2/poms/JPP.mojo-animal-sniffer-animal-sniffer-maven-plugin.pom m3_repo/repository/org/codehaus/mojo/animal-sniffer-maven-plugin/1.6/animal-sniffer-maven-plugin-1.6.pom
mkdir -p m3_repo/repository/org/codehaus/mojo/animal-sniffer-parent/1.6
cp %{_datadir}/maven2/poms/JPP.mojo-animal-sniffer-animal-sniffer-parent.pom m3_repo/repository/org/codehaus/mojo/animal-sniffer-parent/1.6/animal-sniffer-parent-1.6.pom
#
mkdir -p m3_repo/repository/org/codehaus/mojo/mojo-parent/23
cp %{_datadir}/maven2/poms/JPP-mojo-parent.pom m3_repo/repository/org/codehaus/mojo/mojo-parent/23/mojo-parent-23.pom
#
mkdir -p m3_repo/repository/org/codehaus/codehaus-parent/3
cp %{_datadir}/maven2/poms/JPP-codehaus-parent.pom m3_repo/repository/org/codehaus/codehaus-parent/3/codehaus-parent-3.pom
# 
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-compiler-plugin/2.0.2
ln -s $(build-classpath maven-compiler-plugin) m3_repo/repository/org/apache/maven/plugins/maven-compiler-plugin/2.0.2/maven-compiler-plugin-2.0.2.jar
cp %{_datadir}/maven2/poms/JPP-maven-compiler-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-compiler-plugin/2.0.2/maven-compiler-plugin-2.0.2.pom
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-install-plugin/2.3.1
ln -s $(build-classpath maven-install-plugin) m3_repo/repository/org/apache/maven/plugins/maven-install-plugin/2.3.1/maven-install-plugin-2.3.1.jar
cp %{_datadir}/maven2/poms/JPP-maven-install-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-install-plugin/2.3.1/maven-install-plugin-2.3.1.pom
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-jar-plugin/2.3.1
ln -s $(build-classpath maven-jar-plugin) m3_repo/repository/org/apache/maven/plugins/maven-jar-plugin/2.3.1/maven-jar-plugin-2.3.1.jar
cp %{_datadir}/maven2/poms/JPP-maven-jar-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-jar-plugin/2.3.1/maven-jar-plugin-2.3.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/2.0.5
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.2
ln -s $(build-classpath maven-common-artifact-filters) m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.2/maven-common-artifact-filters-1.2.jar
cp %{_datadir}/maven2/poms/JPP-maven-common-artifact-filters.pom m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.2/maven-common-artifact-filters-1.2.pom
#
mkdir -p m3_repo/repository/asm/asm-all/3.3.1/
ln -s $(build-classpath objectweb-asm/asm-all) m3_repo/repository/asm/asm-all/3.3.1/asm-all-3.3.1.jar
cp %{_datadir}/maven2/poms/JPP.objectweb-asm-asm-all.pom m3_repo/repository/asm/asm-all/3.3.1/asm-all-3.3.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-shared-components/12
cp %{_datadir}/maven2/poms/JPP.maven-shared-components-parent.pom m3_repo/repository/org/apache/maven/shared/maven-shared-components/12/maven-shared-components-12.pom
#
mkdir -p m3_repo/repository/org/sonatype/aether/aether-parent/1.11
cp %{_datadir}/maven2/poms/JPP.aether-aether.pom m3_repo/repository/org/sonatype/aether/aether-parent/1.11/aether-parent-1.11.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-artifact-resolver/1.0/
ln -s $(build-classpath maven-shared-artifact-resolver) m3_repo/repository/org/apache/maven/shared/maven-artifact-resolver/1.0/maven-artifact-resolver-1.0.jar
cp %{_datadir}/maven2/poms/JPP-maven-shared-artifact-resolver.pom m3_repo/repository/org/apache/maven/shared/maven-artifact-resolver/1.0/maven-artifact-resolver-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.0/
ln -s $(build-classpath maven-common-artifact-filters) m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.0/maven-common-artifact-filters-1.0.jar
cp %{_datadir}/maven2/poms/JPP-maven-common-artifact-filters.pom m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.0/maven-common-artifact-filters-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-downloader/1.1/
ln -s $(build-classpath maven-shared/downloader) m3_repo/repository/org/apache/maven/shared/maven-downloader/1.1/maven-downloader-1.1.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-downloader.pom m3_repo/repository/org/apache/maven/shared/maven-downloader/1.1/maven-downloader-1.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-filtering/1.0-beta-2
ln -s $(build-classpath maven-shared/filtering) m3_repo/repository/org/apache/maven/shared/maven-filtering/1.0-beta-2/maven-filtering-1.0-beta-2.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-filtering.pom m3_repo/repository/org/apache/maven/shared/maven-filtering/1.0-beta-2/maven-filtering-1.0-beta-2.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-filtering/1.0/
ln -s $(build-classpath maven-shared/filtering) m3_repo/repository/org/apache/maven/shared/maven-filtering/1.0/maven-filtering-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-filtering.pom m3_repo/repository/org/apache/maven/shared/maven-filtering/1.0/maven-filtering-1.0.pom
# 
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.13/
ln -s $(build-classpath plexus-interpolation) m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.jar
cp %{_datadir}/maven2/poms/JPP-plexus-interpolation.pom m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.12/
ln -s $(build-classpath plexus-interpolation) m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.12/plexus-interpolation-1.12.jar
cp %{_datadir}/maven2/poms/JPP-plexus-interpolation.pom m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.12/plexus-interpolation-1.12.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.7/
ln -s $(build-classpath plexus-interpolation) m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.7/plexus-interpolation-1.7.jar
cp %{_datadir}/maven2/poms/JPP-plexus-interpolation.pom m3_repo/repository/org/codehaus/plexus/plexus-interpolation/1.7/plexus-interpolation-1.7.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-resources/1.0-alpha-5/
ln -s $(build-classpath plexus/resources) m3_repo/repository/org/codehaus/plexus/plexus-resources/1.0-alpha-5/plexus-resources-1.0-alpha-5.jar
cp %{_datadir}/maven2/poms/JPP.plexus-resources.pom m3_repo/repository/org/codehaus/plexus/plexus-resources/1.0-alpha-5/plexus-resources-1.0-alpha-5.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.12/
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.12/plexus-utils-1.5.12.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.12/plexus-utils-1.5.12.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-velocity/1.1.8/
ln -s $(build-classpath plexus/velocity) m3_repo/repository/org/codehaus/plexus/plexus-velocity/1.1.8/plexus-velocity-1.1.8.jar
cp %{_datadir}/maven2/poms/JPP.plexus-velocity.pom m3_repo/repository/org/codehaus/plexus/plexus-velocity/1.1.8/plexus-velocity-1.1.8.pom
#
mkdir -p m3_repo/repository/org/apache/velocity/velocity/1.6.4/
ln -s $(build-classpath velocity) m3_repo/repository/org/apache/velocity/velocity/1.6.4/velocity-1.6.4.jar
cp %{_datadir}/maven2/poms/JPP-velocity.pom m3_repo/repository/org/apache/velocity/velocity/1.6.4/velocity-1.6.4.pom
#
mkdir -p m3_repo/repository/org/apache/velocity/velocity/1.5/
ln -s $(build-classpath velocity) m3_repo/repository/org/apache/velocity/velocity/1.5/velocity-1.5.jar
cp %{_datadir}/maven2/poms/JPP-velocity.pom m3_repo/repository/org/apache/velocity/velocity/1.5/velocity-1.5.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-parent/7
cp %{_datadir}/maven2/poms/JPP-maven-parent.pom m3_repo/repository/org/apache/maven/maven-parent/7/maven-parent-7.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-shared-components/7
cp %{_datadir}/maven2/poms/JPP.maven-shared-components-parent.pom m3_repo/repository/org/apache/maven/shared/maven-shared-components/7/maven-shared-components-7.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-shared-components/16
cp %{_datadir}/maven2/poms/JPP.maven-shared-components-parent.pom m3_repo/repository/org/apache/maven/shared/maven-shared-components/16/maven-shared-components-16.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-components/1.1.7
cp %{SOURCE97} m3_repo/repository/org/codehaus/plexus/plexus-components/1.1.7/plexus-components-1.1.7.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-components/1.1.12
cp %{SOURCE97} m3_repo/repository/org/codehaus/plexus/plexus-components/1.1.12/plexus-components-1.1.12.pom
#
mkdir -p m3_repo/repository/velocity/velocity/1.4/
ln -s $(build-classpath velocity14) m3_repo/repository/velocity/velocity/1.4/velocity-1.4.jar
cp %{_datadir}/maven2/poms/JPP-velocity14.pom m3_repo/repository/velocity/velocity/1.4/velocity-1.4.pom
#
#mkdir -p m3_repo/repository/org/apache/velocity/velocity/1.4/
#ln -s $(build-classpath velocity14) m3_repo/repository/org/apache/velocity/velocity/1.4/velocity-1.4.jar
#cp %{_datadir}/maven2/poms/JPP-velocity14.pom m3_repo/repository/org/apache/velocity/velocity/1.4/velocity-1.4.pom
#
mkdir -p m3_repo/repository/commons-collections/commons-collections/3.2/
ln -s $(build-classpath commons-collections) m3_repo/repository/commons-collections/commons-collections/3.2/commons-collections-3.2.jar
cp %{_datadir}/maven2/poms/JPP-commons-collections.pom m3_repo/repository/commons-collections/commons-collections/3.2/commons-collections-3.2.pom
#
mkdir -p m3_repo/repository/commons-collections/commons-collections/2.0/
ln -s $(build-classpath commons-collections) m3_repo/repository/commons-collections/commons-collections/2.0/commons-collections-2.0.jar
cp %{_datadir}/maven2/poms/JPP-commons-collections.pom m3_repo/repository/commons-collections/commons-collections/2.0/commons-collections-2.0.pom
#
mkdir -p m3_repo/repository/org/sonatype/plexus/plexus-build-api/0.0.4/
ln -s $(build-classpath plexus-build-api) m3_repo/repository/org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.jar
cp %{_datadir}/maven2/poms/JPP-plexus-build-api.pom m3_repo/repository/org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.pom
#
mkdir -p m3_repo/repository/org/apache/commons/commons-parent/9
cp %{_datadir}/maven2/poms/JPP.apache-commons-parent-commons-parent.pom m3_repo/repository/org/apache/commons/commons-parent/9/commons-parent-9.pom
#
mkdir -p m3_repo/repository/commons-lang/commons-lang/2.4/
ln -s $(build-classpath commons-lang) m3_repo/repository/commons-lang/commons-lang/2.4/commons-lang-2.4.jar
cp %{_datadir}/maven2/poms/JPP-apache-commons-lang.pom m3_repo/repository/commons-lang/commons-lang/2.4/commons-lang-2.4.pom
#
mkdir -p m3_repo/repository/commons-lang/commons-lang/2.1/
ln -s $(build-classpath commons-lang) m3_repo/repository/commons-lang/commons-lang/2.1/commons-lang-2.1.jar
cp %{_datadir}/maven2/poms/JPP-apache-commons-lang.pom m3_repo/repository/commons-lang/commons-lang/2.1/commons-lang-2.1.pom
#
mkdir -p m3_repo/repository/oro/oro/2.0.8/
ln -s $(build-classpath oro) m3_repo/repository/oro/oro/2.0.8/oro-2.0.8.jar
cp %{_datadir}/maven2/poms/JPP-jakarta-oro.pom m3_repo/repository/oro/oro/2.0.8/oro-2.0.8.pom
#
mkdir -p m3_repo/repository/org/apache/commons/commons-parent/17
cp %{_datadir}/maven2/poms/JPP.apache-commons-parent-commons-parent.pom m3_repo/repository/org/apache/commons/commons-parent/17/commons-parent-17.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/file-management/1.2-SNAPSHOT
ln -s $(build-classpath maven-shared/file-management) m3_repo/repository/org/apache/maven/shared/file-management/1.2-SNAPSHOT/file-management-1.2-SNAPSHOT.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-file-management.pom m3_repo/repository/org/apache/maven/shared/file-management/1.2-SNAPSHOT/file-management-1.2-SNAPSHOT.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/file-management/1.1
ln -s $(build-classpath maven-shared/file-management) m3_repo/repository/org/apache/maven/shared/file-management/1.1/file-management-1.1.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-file-management.pom m3_repo/repository/org/apache/maven/shared/file-management/1.1/file-management-1.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-shared-io/1.1
ln -s $(build-classpath maven-shared/io) m3_repo/repository/org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-io.pom m3_repo/repository/org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-shared-io/1.0
ln -s $(build-classpath maven-shared/io) m3_repo/repository/org/apache/maven/shared/maven-shared-io/1.0/maven-shared-io-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-io.pom m3_repo/repository/org/apache/maven/shared/maven-shared-io/1.0/maven-shared-io-1.0.pom
#
mkdir -p m3_repo/repository/org/hamcrest/hamcrest-core/1.1
ln -s $(build-classpath hamcrest/core) m3_repo/repository/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar
cp %{_datadir}/maven2/poms/JPP.hamcrest-core.pom m3_repo/repository/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.pom
#
mkdir -p m3_repo/repository/org/hamcrest/hamcrest-core/1.3
ln -s $(build-classpath hamcrest13/core) m3_repo/repository/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar
cp %{_datadir}/maven2/poms/JPP.hamcrest13-core.pom m3_repo/repository/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/1.1
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.pom
#
mkdir -p m3_repo/repository/velocity/velocity-dep/1.4/
ln -s $(build-classpath velocity14) m3_repo/repository/velocity/velocity-dep/1.4/velocity-dep-1.4.jar
cp %{_datadir}/maven2/poms/JPP-velocity14.pom m3_repo/repository/velocity/velocity-dep/1.4/velocity-dep-1.4.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/1.4.1
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/1.4.1/plexus-utils-1.4.1.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/1.4.1/plexus-utils-1.4.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-velocity/1.1.7/
ln -s $(build-classpath plexus/velocity) m3_repo/repository/org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.jar
cp %{_datadir}/maven2/poms/JPP.plexus-velocity.pom m3_repo/repository/org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-velocity/1.1.3/
ln -s $(build-classpath plexus/velocity) m3_repo/repository/org/codehaus/plexus/plexus-velocity/1.1.3/plexus-velocity-1.1.3.jar
cp %{_datadir}/maven2/poms/JPP.plexus-velocity.pom m3_repo/repository/org/codehaus/plexus/plexus-velocity/1.1.3/plexus-velocity-1.1.3.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-resources/1.0-alpha-4/
ln -s $(build-classpath plexus/resources) m3_repo/repository/org/codehaus/plexus/plexus-resources/1.0-alpha-4/plexus-resources-1.0-alpha-4.jar
cp %{_datadir}/maven2/poms/JPP.plexus-resources.pom m3_repo/repository/org/codehaus/plexus/plexus-resources/1.0-alpha-4/plexus-resources-1.0-alpha-4.pom
#
mkdir -p m3_repo/repository/org/apache/maven/plugins/maven-javadoc-plugin/2.5
ln -s $(build-classpath maven-javadoc-plugin) m3_repo/repository/org/apache/maven/plugins/maven-javadoc-plugin/2.5/maven-javadoc-plugin-2.5.jar
cp %{_datadir}/maven2/poms/JPP-maven-javadoc-plugin.pom m3_repo/repository/org/apache/maven/plugins/maven-javadoc-plugin/2.5/maven-javadoc-plugin-2.5.pom
#
mkdir -p m3_repo/repository/org/apache/apache-jar-resource-bundle/1.4
ln -s $(build-classpath apache-resource-bundles) m3_repo/repository/org/apache/apache-jar-resource-bundle/1.4/apache-jar-resource-bundle-1.4.jar
cp %{_datadir}/maven2/poms/JPP.apache-resource-bundles-apache-jar-resource-bundle.pom m3_repo/repository/org/apache/apache-jar-resource-bundle/1.4/apache-jar-resource-bundle-1.4.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.6
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.6/plexus-utils-1.5.6.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.6/plexus-utils-1.5.6.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/1.4.6
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/1.4.6/plexus-utils-1.4.6.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/1.4.6/plexus-utils-1.4.6.pom
#
mkdir -p m3_repo/repository/org/codehaus/mojo/signature/java15/1.0
ln -s %{_javadir}/mojo-signatures/java15.signature m3_repo/repository/org/codehaus/mojo/signature/java15/1.0/java15-1.0.signature
cp %{_datadir}/maven2/poms/JPP.mojo-signatures-java15.pom m3_repo/repository/org/codehaus/mojo/signature/java15/1.0/java15-1.0.pom
#
mkdir -p m3_repo/repository/com/jcraft/jsch/0.1.44-1
ln -s $(build-classpath jsch) m3_repo/repository/com/jcraft/jsch/0.1.44-1/jsch-0.1.44-1.jar
cp %{_datadir}/maven2/poms/JPP-jsch.pom m3_repo/repository/com/jcraft/jsch/0.1.44-1/jsch-0.1.44-1.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-6
ln -s $(build-classpath plexus/interactivity-api) m3_repo/repository/org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-6/plexus-interactivity-api-1.0-alpha-6.jar
cp %{_datadir}/maven2/poms/JPP.plexus-interactivity-api.pom m3_repo/repository/org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-6/plexus-interactivity-api-1.0-alpha-6.pom
#
mkdir -p m3_repo/repository/org/apache/maven/reporting/maven-reporting-api/2.0.6
ln -s $(build-classpath maven2/reporting-api) m3_repo/repository/org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.jar
cp %{_datadir}/maven2/poms/JPP.maven2-reporting-api.pom m3_repo/repository/org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.pom
#
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon-ssh/1.0
ln -s $(build-classpath maven-wagon/ssh) m3_repo/repository/org/apache/maven/wagon/wagon-ssh/1.0/wagon-ssh-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon-ssh.pom m3_repo/repository/org/apache/maven/wagon/wagon-ssh/1.0/wagon-ssh-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/wagon/wagon-ssh-common/1.0
ln -s $(build-classpath maven-wagon/ssh-common) m3_repo/repository/org/apache/maven/wagon/wagon-ssh-common/1.0/wagon-ssh-common-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-wagon-wagon-ssh-common.pom m3_repo/repository/org/apache/maven/wagon/wagon-ssh-common/1.0/wagon-ssh-commomn-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-core/1.0
ln -s $(build-classpath maven-doxia/core) m3_repo/repository/org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-doxia-core.pom m3_repo/repository/org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-core/1.1.4
ln -s $(build-classpath maven-doxia/core) m3_repo/repository/org/apache/maven/doxia/doxia-core/1.1.4/doxia-core-1.1.4.jar
cp %{_datadir}/maven2/poms/JPP.maven-doxia-core.pom m3_repo/repository/org/apache/maven/doxia/doxia-core/1.1.4/doxia-core-1.1.4.pom
##
#mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-logging-api/1.1.4
#ln -s $(build-classpath maven-doxia/logging-api) m3_repo/repository/org/apache/maven/doxia/doxia-logging-api/1.1.4/doxia-logging-api-1.1.4.jar
#cp %{_datadir}/maven2/poms/JPP.maven-doxia-logging-api.pom m3_repo/repository/org/apache/maven/doxia/doxia-logging-api/1.1.4/doxia-logging-api-1.1.4.pom
#
mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-sink-api/1.0
ln -s $(build-classpath maven-doxia/sink-api) m3_repo/repository/org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-doxia-sink-api.pom m3_repo/repository/org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-decoration-model/1.0
ln -s $(build-classpath maven-doxia/decoration-model) m3_repo/repository/org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-doxia-decoration-model.pom m3_repo/repository/org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-site-renderer/1.0
ln -s $(build-classpath maven-doxia/site-renderer) m3_repo/repository/org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-doxia-site-renderer.pom m3_repo/repository/org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-module-xhtml/1.0
ln -s $(build-classpath maven-doxia/module-xhtml) m3_repo/repository/org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-doxia-module-xhtml.pom m3_repo/repository/org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-module-apt/1.0
ln -s $(build-classpath maven-doxia/module-apt) m3_repo/repository/org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-doxia-module-apt.pom m3_repo/repository/org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-module-fml/1.0
ln -s $(build-classpath maven-doxia/module-fml) m3_repo/repository/org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-doxia-module-fml.pom m3_repo/repository/org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/doxia/doxia-module-xdoc/1.0
ln -s $(build-classpath maven-doxia/module-xdoc) m3_repo/repository/org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.jar
cp %{_datadir}/maven2/poms/JPP.maven-doxia-module-xdoc.pom m3_repo/repository/org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-doxia-tools/1.0.2
ln -s $(build-classpath maven-shared/doxia-tools) m3_repo/repository/org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-doxia-tools.pom m3_repo/repository/org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-12
ln -s $(build-classpath plexus-archiver) m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-12/plexus-archiver-1.0-alpha-12.jar
cp %{_datadir}/maven2/poms/JPP-plexus-archiver.pom m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-12/plexus-archiver-1.0-alpha-12.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-9
ln -s $(build-classpath plexus-archiver) m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-9/plexus-archiver-1.0-alpha-9.jar
cp %{_datadir}/maven2/poms/JPP-plexus-archiver.pom m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-9/plexus-archiver-1.0-alpha-9.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-7
ln -s $(build-classpath plexus-archiver) m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-7/plexus-archiver-1.0-alpha-7.jar
cp %{_datadir}/maven2/poms/JPP-plexus-archiver.pom m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-7/plexus-archiver-1.0-alpha-7.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-io/1.0-alpha-4
ln -s $(build-classpath plexus-io) m3_repo/repository/org/codehaus/plexus/plexus-io/1.0-alpha-4/plexus-io-1.0-alpha-4.jar
cp %{_datadir}/maven2/poms/JPP-plexus-io.pom m3_repo/repository/org/codehaus/plexus/plexus-io/1.0-alpha-4/plexus-io-1.0-alpha-4.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-io/1.0
ln -s $(build-classpath plexus-io) m3_repo/repository/org/codehaus/plexus/plexus-io/1.0/plexus-io-1.0.jar
cp %{_datadir}/maven2/poms/JPP-plexus-io.pom m3_repo/repository/org/codehaus/plexus/plexus-io/1.0/plexus-io-1.0.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-io/1.0.1
ln -s $(build-classpath plexus-io) m3_repo/repository/org/codehaus/plexus/plexus-io/1.0.1/plexus-io-1.0.1.jar
cp %{_datadir}/maven2/poms/JPP-plexus-io.pom m3_repo/repository/org/codehaus/plexus/plexus-io/1.0.1/plexus-io-1.0.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-i18n/1.0-beta-7
ln -s $(build-classpath plexus/i18n) m3_repo/repository/org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.jar
cp %{_datadir}/maven2/poms/JPP.plexus-i18n.pom m3_repo/repository/org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/3.0
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/2.0.1
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/2.0.1/plexus-utils-2.0.1.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/2.0.1/plexus-utils-2.0.1.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.1
ln -s $(build-classpath plexus/utils) m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.1/plexus-utils-1.5.1.jar
cp %{_datadir}/maven2/poms/JPP.plexus-utils.pom m3_repo/repository/org/codehaus/plexus/plexus-utils/1.5.1/plexus-utils-1.5.1.pom
#
mkdir -p m3_repo/repository/org/mortbay/jetty/jetty/6.1.5
ln -s $(build-classpath jetty6/jetty6) m3_repo/repository/org/mortbay/jetty/jetty/6.1.5/jetty-6.1.5.jar
cp %{_datadir}/maven2/poms/JPP.jetty6.core-jetty6.pom m3_repo/repository/org/mortbay/jetty/jetty/6.1.5/jetty-6.1.5.pom
#
mkdir -p m3_repo/repository/org/mortbay/jetty/jetty-util/6.1.5
ln -s $(build-classpath jetty6/jetty6-util) m3_repo/repository/org/mortbay/jetty/jetty-util/6.1.5/jetty-util-6.1.5.jar
cp %{_datadir}/maven2/poms/JPP.jetty6.core-jetty6-util.pom m3_repo/repository/org/mortbay/jetty/jetty-util/6.1.5/jetty-util-6.1.5.pom
#
mkdir -p m3_repo/repository/org/mortbay/jetty/jetty-util/6.1.26
ln -s $(build-classpath jetty6/jetty6-util) m3_repo/repository/org/mortbay/jetty/jetty-util/6.1.26/jetty-util-6.1.26.jar
cp %{_datadir}/maven2/poms/JPP.jetty6.core-jetty6-util.pom m3_repo/repository/org/mortbay/jetty/jetty-util/6.1.26/jetty-util-6.1.26.pom
#
mkdir -p m3_repo/repository/javax/servlet/servlet-api/2.5
ln -s $(build-classpath geronimo-servlet-2.5-api) m3_repo/repository/javax/servlet/servlet-api/2.5/servlet-api-2.5.jar
cp %{_datadir}/maven2/poms/JPP-geronimo-servlet-2.5-api.pom m3_repo/repository/javax/servlet/servlet-api/2.5/servlet-api-2.5.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-digest/1.0
ln -s $(build-classpath plexus/digest) m3_repo/repository/org/codehaus/plexus/plexus-digest/1.0/plexus-digest-1.0.jar
cp %{_datadir}/maven2/poms/JPP.plexus-digest.pom m3_repo/repository/org/codehaus/plexus/plexus-digest/1.0/plexus-digest-1.0.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-compiler/1.8.6
cp %{_datadir}/maven2/poms/JPP-plexus-compilers.pom m3_repo/repository/org/codehaus/plexus/plexus-compiler/1.8.6/plexus-compiler-1.8.6.pom
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-compiler-api/1.8.6
ln -s $(build-classpath plexus-compiler-api) m3_repo/repository/org/codehaus/plexus/plexus-compiler-api/1.8.6/plexus-compiler-api-1.8.6.jar
cp %{_datadir}/maven2/poms/JPP-plexus-compiler-api.pom m3_repo/repository/org/codehaus/plexus/plexus-compiler-api/1.8.6/plexus-compiler-api-1.8.6.pom
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-compiler-manager/1.8.6
ln -s $(build-classpath plexus-compiler-manager) m3_repo/repository/org/codehaus/plexus/plexus-compiler-manager/1.8.6/plexus-compiler-manager-1.8.6.jar
cp %{_datadir}/maven2/poms/JPP-plexus-compiler-manager.pom m3_repo/repository/org/codehaus/plexus/plexus-compiler-manager/1.8.6/plexus-compiler-manager-1.8.6.pom
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-compilers/1.8.6
cp %{_datadir}/maven2/poms/JPP-plexus-compiler-compilers.pom m3_repo/repository/org/codehaus/plexus/plexus-compilers/1.8.6/plexus-compilers-1.8.6.pom
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-compiler-javac/1.8.6
ln -s $(build-classpath plexus-compiler-javac) m3_repo/repository/org/codehaus/plexus/plexus-compiler-javac/1.8.6/plexus-compiler-javac-1.8.6.jar
cp %{_datadir}/maven2/poms/JPP-plexus-compiler-javac.pom m3_repo/repository/org/codehaus/plexus/plexus-compiler-javac/1.8.6/plexus-compiler-javac-1.8.6.pom
#
mkdir -p m3_repo/repository/org/apache/maven/surefire/surefire/2.7.2
cp %{_datadir}/maven2/poms/JPP.maven-surefire-surefire.pom m3_repo/repository/org/apache/maven/surefire/surefire/2.7.2/surefire-2.7.2.pom
mkdir -p m3_repo/repository/org/apache/maven/surefire/surefire-api/2.7.2
ln -s $(build-classpath maven-surefire/surefire-api) m3_repo/repository/org/apache/maven/surefire/surefire-api/2.7.2/surefire-api-2.7.2.jar
cp %{_datadir}/maven2/poms/JPP.maven-surefire-surefire-api.pom m3_repo/repository/org/apache/maven/surefire/surefire-api/2.7.2/surefire-api-2.7.2.pom
mkdir -p m3_repo/repository/org/apache/maven/surefire/surefire-booter/2.7.2
ln -s $(build-classpath maven-surefire/surefire-booter) m3_repo/repository/org/apache/maven/surefire/surefire-booter/2.7.2/surefire-booter-2.7.2.jar
cp %{_datadir}/maven2/poms/JPP.maven-surefire-surefire-booter.pom m3_repo/repository/org/apache/maven/surefire/surefire-booter/2.7.2/surefire-booter-2.7.2.pom
mkdir -p m3_repo/repository/org/apache/maven/surefire/maven-surefire-common/2.7.2
ln -s $(build-classpath maven-surefire/surefire-common) m3_repo/repository/org/apache/maven/surefire/maven-surefire-common/2.7.2/maven-surefire-common-2.7.2.jar
cp %{_datadir}/maven2/poms/JPP.maven-surefire-surefire-common.pom m3_repo/repository/org/apache/maven/surefire/maven-surefire-common/2.7.2/maven-surefire-common-2.7.2.pom
mkdir -p m3_repo/repository/org/apache/maven/surefire/common-junit3/2.7.2
ln -s $(build-classpath maven-surefire/common-junit3) m3_repo/repository/org/apache/maven/surefire/common-junit3/2.7.2/common-junit3-2.7.2.jar
cp %{_datadir}/maven2/poms/JPP.maven-surefire-common-junit3.pom m3_repo/repository/org/apache/maven/surefire/common-junit3/2.7.2/common-junit3-2.7.2.pom
mkdir -p m3_repo/repository/org/apache/maven/surefire/surefire-junit3/2.7.2
ln -s $(build-classpath maven-surefire/surefire-junit3) m3_repo/repository/org/apache/maven/surefire/surefire-junit3/2.7.2/surefire-junit3-2.7.2.jar
cp %{_datadir}/maven2/poms/JPP.maven-surefire-surefire-junit3.pom m3_repo/repository/org/apache/maven/surefire/surefire-junit3/2.7.2/surefire-junit3-2.7.2.pom
mkdir -p m3_repo/repository/org/apache/maven/surefire/surefire-providers/2.7.2
cp %{_datadir}/maven2/poms/JPP.maven-surefire-surefire-providers.pom m3_repo/repository/org/apache/maven/surefire/surefire-providers/2.7.2/surefire-providers-2.7.2.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.3
ln -s $(build-classpath maven-common-artifact-filters) m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.3/maven-common-artifact-filters-1.3.jar
cp %{_datadir}/maven2/poms/JPP-maven-common-artifact-filters.pom m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.3/maven-common-artifact-filters-1.3.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.1
ln -s $(build-classpath maven-common-artifact-filters) m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.1/maven-common-artifact-filters-1.1.jar
cp %{_datadir}/maven2/poms/JPP-maven-common-artifact-filters.pom m3_repo/repository/org/apache/maven/shared/maven-common-artifact-filters/1.1/maven-common-artifact-filters-1.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-archiver/2.4.1
ln -s $(build-classpath maven-archiver) m3_repo/repository/org/apache/maven/maven-archiver/2.4.1/maven-archiver-2.4.1.jar
cp %{_datadir}/maven2/poms/JPP-maven-archiver.pom m3_repo/repository/org/apache/maven/maven-archiver/2.4.1/maven-archiver-2.4.1.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-archiver/2.4
ln -s $(build-classpath maven-archiver) m3_repo/repository/org/apache/maven/maven-archiver/2.4/maven-archiver-2.4.jar
cp %{_datadir}/maven2/poms/JPP-maven-archiver.pom m3_repo/repository/org/apache/maven/maven-archiver/2.4/maven-archiver-2.4.pom
#
mkdir -p m3_repo/repository/org/apache/maven/maven-archiver/2.3
ln -s $(build-classpath maven-archiver) m3_repo/repository/org/apache/maven/maven-archiver/2.3/maven-archiver-2.3.jar
cp %{_datadir}/maven2/poms/JPP-maven-archiver.pom m3_repo/repository/org/apache/maven/maven-archiver/2.3/maven-archiver-2.3.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0
ln -s $(build-classpath plexus-archiver) m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0/plexus-archiver-1.0.jar
cp %{_datadir}/maven2/poms/JPP-plexus-archiver.pom m3_repo/repository/org/codehaus/plexus/plexus-archiver/1.0/plexus-archiver-1.0.pom
#
mkdir -p m3_repo/repository/org/codehaus/mojo/buildnumber-maven-plugin/1.0-beta-2-SNAPSHOT
ln -s $(build-classpath mojo/buildnumber-maven-plugin) m3_repo/repository/org/codehaus/mojo/buildnumber-maven-plugin/1.0-beta-2-SNAPSHOT/buildnumber-maven-plugin-1.0-beta-2-SNAPSHOT.jar
cp %{_datadir}/maven2/poms/JPP.mojo-buildnumber-maven-plugin.pom m3_repo/repository/org/codehaus/mojo/buildnumber-maven-plugin/1.0-beta-2-SNAPSHOT/buildnumber-maven-plugin-1.0-beta-2-SNAPSHOT.pom
#
mkdir -p m3_repo/repository/org/apache/maven/scm/maven-scm-api/1.0-beta-3
ln -s $(build-classpath maven-scm/api) m3_repo/repository/org/apache/maven/scm/maven-scm-api/1.0-beta-3/maven-scm-api-1.0-beta-3.jar
cp %{_datadir}/maven2/poms/JPP.maven-scm-api.pom m3_repo/repository/org/apache/maven/scm/maven-scm-api/1.0-beta-3/maven-scm-api-1.0-beta-3.pom
mkdir -p m3_repo/repository/org/apache/maven/scm/maven-scm-manager-plexus/1.0-beta-3
ln -s $(build-classpath maven-scm/manager-plexus) m3_repo/repository/org/apache/maven/scm/maven-scm-manager-plexus/1.0-beta-3/maven-scm-manager-plexus-1.0-beta-3.jar
cp %{_datadir}/maven2/poms/JPP.maven-scm-manager-plexus.pom m3_repo/repository/org/apache/maven/scm/maven-scm-manager-plexus/1.0-beta-3/maven-scm-manager-plexus-1.0-beta-3.pom
mkdir -p m3_repo/repository/org/apache/maven/scm/maven-scm-provider-svnexe/1.0-beta-3
ln -s $(build-classpath maven-scm/provider-svnexe) m3_repo/repository/org/apache/maven/scm/maven-scm-provider-svnexe/1.0-beta-3/maven-scm-provider-svnexe-1.0-beta-3.jar
cp %{_datadir}/maven2/poms/JPP.maven-scm-provider-svnexe.pom m3_repo/repository/org/apache/maven/scm/maven-scm-provider-svnexe/1.0-beta-3/maven-scm-provider-svnexe-1.0-beta-3.pom
mkdir -p m3_repo/repository/org/apache/maven/scm/maven-scm-provider-cvsexe/1.0-beta-3
ln -s $(build-classpath maven-scm/provider-cvsexe) m3_repo/repository/org/apache/maven/scm/maven-scm-provider-cvsexe/1.0-beta-3/maven-scm-provider-cvsexe-1.0-beta-3.jar
cp %{_datadir}/maven2/poms/JPP.maven-scm-provider-cvsexe.pom m3_repo/repository/org/apache/maven/scm/maven-scm-provider-cvsexe/1.0-beta-3/maven-scm-provider-cvsexe-1.0-beta-3.pom
mkdir -p m3_repo/repository/org/apache/maven/scm/maven-scm-provider-clearcase/1.0-beta-3
ln -s $(build-classpath maven-scm/provider-clearcase) m3_repo/repository/org/apache/maven/scm/maven-scm-provider-clearcase/1.0-beta-3/maven-scm-provider-clearcase-1.0-beta-3.jar
cp %{_datadir}/maven2/poms/JPP.maven-scm-provider-clearcase.pom m3_repo/repository/org/apache/maven/scm/maven-scm-provider-clearcase/1.0-beta-3/maven-scm-provider-clearcase-1.0-beta-3.pom
mkdir -p m3_repo/repository/org/apache/maven/scm/maven-scm-provider-perforce/1.0-beta-3
ln -s $(build-classpath maven-scm/provider-perforce) m3_repo/repository/org/apache/maven/scm/maven-scm-provider-perforce/1.0-beta-3/maven-scm-provider-perforce-1.0-beta-3.jar
cp %{_datadir}/maven2/poms/JPP.maven-scm-provider-perforce.pom m3_repo/repository/org/apache/maven/scm/maven-scm-provider-perforce/1.0-beta-3/maven-scm-provider-perforce-1.0-beta-3.pom
mkdir -p m3_repo/repository/org/apache/maven/scm/maven-scm-provider-starteam/1.0-beta-3
ln -s $(build-classpath maven-scm/provider-starteam) m3_repo/repository/org/apache/maven/scm/maven-scm-provider-starteam/1.0-beta-3/maven-scm-provider-starteam-1.0-beta-3.jar
cp %{_datadir}/maven2/poms/JPP.maven-scm-provider-starteam.pom m3_repo/repository/org/apache/maven/scm/maven-scm-provider-starteam/1.0-beta-3/maven-scm-provider-starteam-1.0-beta-3.pom
#
mkdir -p m3_repo/repository/org/apache/maven/scm/maven-scm-provider-cvs-commons/1.3
ln -s $(build-classpath maven-scm/provider-cvs-commons) m3_repo/repository/org/apache/maven/scm/maven-scm-provider-cvs-commons/1.3/maven-scm-provider-cvs-commons-1.3.jar
cp %{_datadir}/maven2/poms/JPP.maven-scm-provider-cvs-commons.pom m3_repo/repository/org/apache/maven/scm/maven-scm-provider-cvs-commons/1.3/maven-scm-provider-cvs-commons-1.3.pom
mkdir -p m3_repo/repository/org/apache/maven/scm/maven-scm-provider-svn-commons/1.3
ln -s $(build-classpath maven-scm/provider-svn-commons) m3_repo/repository/org/apache/maven/scm/maven-scm-provider-svn-commons/1.3/maven-scm-provider-svn-commons-1.3.jar
cp %{_datadir}/maven2/poms/JPP.maven-scm-provider-svn-commons.pom m3_repo/repository/org/apache/maven/scm/maven-scm-provider-svn-commons/1.3/maven-scm-provider-svn-commons-1.3.pom
# regexp:regexp:jar:1.3
mkdir -p m3_repo/repository/regexp/regexp/1.3
ln -s $(build-classpath regexp) m3_repo/repository/regexp/regexp/1.3/regexp-1.3.jar
cp %{_datadir}/maven2/poms/JPP-regexp.pom m3_repo/repository/regexp/regexp/1.3/regexp-1.3.pom
#
mkdir -p m3_repo/repository/org/codehaus/plexus/plexus-active-collections/1.0-beta-2
ln -s $(build-classpath plexus-active-collections) m3_repo/repository/org/codehaus/plexus/plexus-active-collections/1.0-beta-2/plexus-active-collections-1.0-beta-2.jar
cp %{_datadir}/maven2/poms/JPP-plexus-active-collections.pom m3_repo/repository/org/codehaus/plexus/plexus-active-collections/1.0-beta-2/plexus-active-collections-1.0-beta-2.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-repository-builder/1.0-alpha-2
ln -s $(build-classpath maven-shared/repository-builder) m3_repo/repository/org/apache/maven/shared/maven-repository-builder/1.0-alpha-2/maven-repository-builder-1.0-alpha-2.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-repository-builder.pom m3_repo/repository/org/apache/maven/shared/maven-repository-builder/1.0-alpha-2/maven-repository-builder-1.0-alpha-2.pom
#
mkdir -p m3_repo/repository/org/apache/maven/shared/maven-invoker/2.0.9
ln -s $(build-classpath maven-shared/invoker) m3_repo/repository/org/apache/maven/shared/maven-invoker/2.0.9/maven-invoker-2.0.9.jar
cp %{_datadir}/maven2/poms/JPP.maven-shared-invoker.pom m3_repo/repository/org/apache/maven/shared/maven-invoker/2.0.9/maven-invoker-2.0.9.pom
#
mkdir -p m3_repo/repository/commons-httpclient/commons-httpclient/3.1
ln -s $(build-classpath commons-httpclient) m3_repo/repository/commons-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.jar
cp %{_datadir}/maven2/poms/JPP-commons-httpclient.pom m3_repo/repository/commons-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.pom
#
mkdir -p m3_repo/repository/commons-codec/commons-codec/1.2
ln -s $(build-classpath commons-codec) m3_repo/repository/commons-codec/commons-codec/1.2/commons-codec-1.2.jar
cp %{_datadir}/maven2/poms/JPP-apache-commons-codec.pom m3_repo/repository/commons-codec/commons-codec/1.2/commons-codec-1.2.pom
#
mkdir -p m3_repo/repository/commons-codec/commons-codec/1.4
ln -s $(build-classpath commons-codec) m3_repo/repository/commons-codec/commons-codec/1.4/commons-codec-1.4.jar
cp %{_datadir}/maven2/poms/JPP-apache-commons-codec.pom m3_repo/repository/commons-codec/commons-codec/1.4/commons-codec-1.4.pom
#
mkdir -p m3_repo/repository/commons-logging/commons-logging/1.1.1
ln -s $(build-classpath commons-logging) m3_repo/repository/commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.jar
cp %{_datadir}/maven2/poms/JPP-commons-logging.pom m3_repo/repository/commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.pom
#
mkdir -p m3_repo/repository/log4j/log4j/1.2.14
ln -s $(build-classpath log4j) m3_repo/repository/log4j/log4j/1.2.14/log4j-1.2.14.jar
cp %{_datadir}/maven2/poms/JPP-log4j.pom m3_repo/repository/log4j/log4j/1.2.14/log4j-1.2.14.pom
#
mkdir -p m3_repo/repository/org/mockito/mockito-core/1.8.5
ln -s $(build-classpath mockito-core) m3_repo/repository/org/mockito/mockito-core/1.8.5/mockito-core-1.8.5.jar
cp %{_datadir}/maven2/poms/JPP-mockito-core.pom m3_repo/repository/org/mockito/mockito-core/1.8.5/mockito-core-1.8.5.pom
#
mkdir -p m3_repo/repository/org/objenesis/objenesis/1.0
ln -s $(build-classpath objenesis) m3_repo/repository/org/objenesis/objenesis/1.0/objenesis-1.0.jar
cp %{_datadir}/maven2/poms/JPP-objenesis.pom m3_repo/repository/org/objenesis/objenesis/1.0/objenesis-1.0.pom
#
mkdir -p m3_repo/repository/org/apache/maven/reporting/maven-reporting-api/3.0
ln -s $(build-classpath maven-reporting-api) m3_repo/repository/org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.jar
cp %{_datadir}/maven2/poms/JPP-maven-reporting-api.pom m3_repo/repository/org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.pom
#
mkdir -p m3_repo/repository/xerces/xercesImpl/2.9.1
ln -s $(build-classpath xerces-j2) m3_repo/repository/xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.jar
cp %{_datadir}/maven2/default_poms/JPP-xerces-j2.pom m3_repo/repository/xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.pom
#
mkdir -p m3_repo/repository/org/apache/httpcomponents/httpclient/4.0.2
ln -s $(build-classpath httpcomponents/httpclient) m3_repo/repository/org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.jar
cp %{_datadir}/maven2/poms/JPP.httpcomponents-client.pom m3_repo/repository/org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.pom
#
mkdir -p m3_repo/repository/org/apache/httpcomponents/httpcore/4.1
ln -s $(build-classpath httpcomponents/httpcore) m3_repo/repository/org/apache/httpcomponents/httpcore/4.1/httpcore-4.1.jar
cp %{_datadir}/maven2/poms/JPP.httpcomponents-core.pom m3_repo/repository/org/apache/httpcomponents/httpcore/4.1/httpcore-4.1.pom


%patch96 -b .sav96
%patch97 -b .sav97
#%patch98 -b .sav98
%patch99 -b .sav99
cp %{SOURCE1} m3_settings.xml

# get custom resolver in place
mkdir -p maven-aether-provider/src/main/java/org/apache/maven/artifact/resolver \
         maven-aether-provider/src/main/java/org/apache/maven/artifact/repository

#cp %{SOURCE100} maven-aether-provider/src/main/java/org/apache/maven/artifact/resolver
#cp %{SOURCE101} maven-aether-provider/src/main/java/org/apache/maven/artifact/repository

# by adding our things this has become compile dep
#sed -i 's:<scope>runtime</scope>::' maven-core/pom.xml

# not really used during build, but a precaution
#rm maven-ant-tasks-*.jar

# fix line endings
sed -i 's:\r::' *.txt

# fix for animal-sniffer (we don't generate 1.5 signatures)
sed -i 's:check-java-1.5-compat:check-java-1.6-compat:' pom.xml

pushd apache-maven
rm src/bin/*bat
sed -i 's:\r::' src/conf/settings.xml

# Update shell scripts to use unversioned classworlds
sed -i -e s:'-classpath "${M2_HOME}"/boot/plexus-classworlds-\*.jar':'-classpath "${M2_HOME}"/boot/plexus-classworlds.jar':g \
        src/bin/mvn*
popd

%build
export CLASSPATH=/usr/share/java/maven-ant-tasks.jar
ant \
        -Dpom.properties.plexusVersion=1.5.5 \
        -Dpom.properties.modelloVersion=1.4.1 \
        -Dmaven.home=$(pwd)/home \
        -Dmaven.repo.local=$(pwd)/m3_repo/repository

%install
rm -rf $RPM_BUILD_ROOT

export M2_HOME=$(pwd)/home/

# maven2 directory in /usr/share/java
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

# put global m2 config into /etc and symlink it later
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}
mv $M2_HOME/bin/m2.conf $RPM_BUILD_ROOT%{_sysconfdir}/

###########
# M2_HOME #
###########
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

###############
# M2_HOME/bin #
###############
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
cp -a $M2_HOME/bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
ln -sf %{_sysconfdir}/m2.conf $RPM_BUILD_ROOT%{_datadir}/%{name}/bin/m2.conf

################
# M2_HOME/boot #
################
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/boot
# this dangling symlink will be filled in by Requires
(cd $RPM_BUILD_ROOT%{_datadir}/%{name}/boot
  ln -sf $(build-classpath plexus/classworlds) plexus-classworlds.jar
)

################
# M2_HOME/conf #
################
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/conf
cp -a $M2_HOME/conf/* $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/

#################
# Repo metadata #
#################
install -m 755 %{SOURCE250} $RPM_BUILD_ROOT%{_datadir}/%{name}/

###############
# M2_HOME/lib #
###############
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/ext

# jdom is needed for our custom resolving code only
(cd $RPM_BUILD_ROOT%{_datadir}/%{name}/lib

build-jar-repository -s -p . aether/aether-api aether/aether-connector-wagon aether/aether-impl \
                               aether/aether-spi aether/aether-util \
                               commons-cli google-collections nekohtml plexus-cipher \
                               plexus/containers-component-annotations plexus/containers-container-default \
                               plexus-interpolation plexus/plexus-sec-dispatcher plexus/utils \
                               google-guice3 sisu2/sisu-inject-bean sisu2/sisu-inject-plexus \
                               maven-wagon/file maven-wagon/http-lightweight maven-wagon/http-shared \
                               maven-wagon/provider-api xbean/xbean-reflect javax.inject
)

################
# M2_HOME/poms #
#*##############
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/poms

########################
# /etc/maven/fragments #
########################
install -dm 755 $RPM_BUILD_ROOT/%{_sysconfdir}/maven/fragments

##############################
# /usr/share/java repository #
##############################
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/maven/repository
ln -sf %{_javadir} $RPM_BUILD_ROOT%{_datadir}/maven/repository/JPP
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository
ln -sf %{_javadir} $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP

##################
# javadir/maven #
#*################
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

############
# /usr/bin #
############
install -dm 755 $RPM_BUILD_ROOT%{_bindir}

# Wrappers
cp -af %{SOURCE200} $RPM_BUILD_ROOT%{_bindir}/mvn3
cp -af %{SOURCE201} $RPM_BUILD_ROOT%{_bindir}/mvn-local
cp -af %{SOURCE202} $RPM_BUILD_ROOT%{_bindir}/mvn-rpmbuild

###################
# Individual jars #
###################

for module in maven-aether-provider maven-artifact maven-compat \
              maven-core maven-embedder maven-model \
              maven-model-builder maven-plugin-api \
              maven-repository-metadata  maven-settings \
              maven-settings-builder;do

    pushd $module
    install -m 644 target/$module-%{version}%{?ver_add}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/$module.jar
    ln -s %{_javadir}/%{name}/$module.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/$module.jar
    install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/poms/JPP.%{name}-$module.pom
    %add_to_maven_depmap org.apache.maven $module %{version} JPP/%{name} $module
    popd
done

# javadocs
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%post
%update_maven_depmap

%postun
%update_maven_depmap


%files
%doc LICENSE.txt NOTICE.txt README.txt
%attr(0755,root,root) %{_bindir}/mvn3
%attr(0755,root,root) %{_bindir}/mvn-local
%attr(0755,root,root) %{_bindir}/mvn-rpmbuild
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/bin
%attr(0755,root,root) %{_datadir}/%{name}/bin/mvn
%attr(0755,root,root) %{_datadir}/%{name}/bin/mvnyjp
%attr(0755,root,root) %{_datadir}/%{name}/bin/mvnDebug
%{_datadir}/%{name}/bin/*.conf
%config(noreplace) %{_sysconfdir}/m2.conf
%{_datadir}/%{name}/boot
%{_datadir}/%{name}/conf
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/poms
%{_datadir}/%{name}/repository
%{_datadir}/maven/repository
%config %{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}
%{_datadir}/%{name}/repo-metadata.tar.gz

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}


%changelog
* Sat Jul 20 2013 Ralph Apel <r.apel@r-apel.de> - 3.0.3-8
- lib/ext needed
- symlink to _javadir at /usr/share/maven/repository (conflicts with maven1)

* Wed Jun 22 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.3-7
- Process fragments in alphabetical order

* Tue Jun 21 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.3-6
- Fix handling of fallback default_poms
- Add empty-dep into maven package to not require maven2 version

* Fri Jun 10 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.3-5
- Process fragments directly instead of maven2-depmap.xml
- Expect fragments in /usr/share/maven-fragments
- Resolve poms also from /usr/share/maven-poms

* Mon Jun  6 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.3-4
- Add help to mvn-rpmbuild and mvn-local (rhbz#710448)

* Tue May 10 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.3-3
- Improve and clean up depmap handling for m2/m3 repos

* Mon Apr 18 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.3-2
- Enable MAVEN_OPTS override in scripts

* Fri Mar  4 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.3-1
- Update to 3.0.3
- Add ext subdirectory to lib

* Tue Mar  1 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.3-0.1.rc1
- Update to 3.0.3rc1
- Enable tests again

* Thu Feb 10 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.2-2
- Added mvn-rpmbuild script to be used in spec files
- mvn-local is now mixed mode (online with javadir priority)
- Changed mvn.jpp to mvn.local

* Fri Jan 28 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.2-1
- Update to latest version (3.0.2)
- Ignore test failures temporarily

* Wed Jan 12 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0-6
- Fix bug #669034

* Tue Jan 11 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0-5
- Fix bugs #667625 #667614 and #667636
- Install maven metadata so they are not downloaded when mvn is run
- Rename mvn3-local to mvn-local
- Add more comments to resolver patch

* Tue Dec 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0-4
- Add fedora local resolver
- Fix quoting of arguments to mvn scripts
- Add javadoc subpackage
- Make jars versionless and remove unneeded clean section

* Wed Dec  1 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0-3
- Remove maven-ant-tasks jar in prep
- Make fragment file as %%config

* Tue Nov 16 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0-2
- Added apache-commons-parent to BR after commons changes

* Tue Oct 12 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0-1
- Initial package with vanilla maven (no jpp mode yet)
